<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

$type = import('type');
$form = import('form');
$writerid = import('writerid');
$idpg = import('idpg');
$sort = import('sort');
$id = import('id');
$approved = import('approved', 'POST');

$doctype2pg = array(
    TYP_AGENDA => 'agenda', TYP_ART => 'art', TYP_BANNER => 'banner', TYP_BLOG => 'blog', TYP_DNLOAD => 'dnload',
    TYP_FAQ => 'faq',
    //TYP_FORUM => 'forum',
    TYP_FREEBOX => 'freebox', TYP_GUESTBK => 'guestbk', TYP_LINKS => 'links',
    TYP_NEWS => 'news',
    TYP_NWL => 'nwl',
    TYP_PHOTO => 'photo',
    //TYP_REACT => 'react', TYP_REBLOG => 'reblog', 
    //TYP_RECO => 'reco', TYP_RULES => 'rules',   
    //TYP_RSS => 'rss',
    TYP_BSS => 'bss',
    TYP_THINK => 'think', 
    TYP_MENUBOX => 'menu', TYP_DDMENUBOX => 'ddmenu',
    TYP_OPTMENU   => 'optmenu',
    //TYP_OPTDDMENU => 'optddmenu&amp;ddmenubox='.$ddmenubox,
    //TYP_MENUICO => 'menuico', TYP_SOCNET => 'socnet',
);

require ADMR_CORE_PATH.'/controller.php';
require ADMR_CORE_PATH.'/model.php';

$controller = new Controller;
$controller -> load_model('writer_model');
$writer = $controller -> writer_model -> get_by_id($writerid);

if (empty($doctype2pg[$type]) || $form != 2 || empty($writer) || empty($idpg) || empty($sort) || empty($id)) {
    $redirection_controllers = $controller -> get_config('controller_by_default');
    header('location:'.ADMR_BASE_HREF_PLUGIN.'&ctrl='.$redirection_controllers['admin']);
    die();    
}

	// --------------------------------------------------------------------
    
/**
 * Validation du document du rédacteur
 */
if (!empty($approved)) {
    $controller -> load_model('writer_docs_model', array('id' => $writerid));    
    $controller -> writer_docs_model -> update_mode_by_id($id, 0);
}
//

	// --------------------------------------------------------------------

/**
 * Affichage du formulaire
 */

// titre $qtitle
foreach(array(625, 39, 264, 771, 790, 1348, 135, 200, 210, 989, 113, 106, 40, 1210, 1238, 125, 545, 771, 477, 323, 1219) as $tmp) {
    $admin[$tmp] = '<span class="arianeOn"><a href="'.ADMR_BASE_HREF_PLUGIN.'&ctrl=manage_writers">'.$controller -> get_lang('plugin_name').'</a>&nbsp&gt;&nbsp;</span>'
                 . '<span class="arianeOn"><a href="'.ADMR_BASE_HREF_PLUGIN.'&ctrl=manage_writers_docs&idpg='.$idpg.'&writerid='.$writerid.'&sort='.$sort.'">'.ucfirst(sprintf($controller -> get_lang('manage_docs_created_by_writer_%s'), $writer['name'])).'</a>&nbsp&gt;&nbsp;</span>'                    
                 . $admin[$tmp];
}
//

// intro $qintro
foreach(array(223, 626, 222, 265, 772, 604, 1211, 228, 201, 225, 272, 226, 107, 224, 1211, 223, 227, 531, 772, 478, 634) as $tmp) {
    $admin[$tmp] = '';
}
//

// menu $qseeall
foreach(array(627, 29, 266, 782, 788, 1212, 136, 202, 172, 503, 172, 108, 41, 1212, 1224, 126, 539, 172, 635) as $tmp) {
    $admin[$tmp] = '';

}
//

$headinc .= '<script type="text/javascript">
    $(function () {
            $("#adminsend").attr("action", "admin.php?lng=fr&pg=plugin&plug=adm_redacteurs/edit_writer_doc&type='.$type.'&writerid='.$writerid.'&sort='.$sort.'");            
            $("#adminsend").prepend("<input type=\'hidden\' name=\'approved\' value=\'on\' />");
            $("input[name=\'tri\']").attr("value", "&plug=adm_redacteurs/edit_writer_doc&type='.$type.'&writerid='.$writerid.'&sort='.$sort.'"); // Hack nécessaire pour passer la redirection javascript depuis guppy v5.03 et v6.x         
            //$("input[name=\'retform\']").closest("div").remove();
    });    
</script>';

include 'inc/'.$doctype2pg[$type].INCEXT;