/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

jQuery(function($) {

	// --------------------------------------------------------------------

    /**
     * Ajoute comme évènement l'ouverture d'une fenêtre modale d'attente lorsqu'on clique sur le lien qui a la class "waiting_process" 
     *
     * @access public
     * @return void
     */
    function add_events_for_display_waiting_process()
    {
        $('a.waiting_process').on('click', function(e)
        {            
            add_block_for_waiting(); // Ajout du block d'attente
            add_page_background(); //Apparition du fond

           // e.preventDefault();
        });   

        $('form.waiting_process').on('submit', function(e)
        {            
            if ($('form span.form-error').length != 0) { // Vérifie qu'il n'y a pas d'erreur lors de la soumission du formulaire (nécessaire pour la compatibilité avec plugin form-validator)
                return false;
            }

            add_block_for_waiting(); // Ajout du block d'attente
            add_page_background(); //Apparition du fond               

           // e.preventDefault();
        });   

        return;
    }

	// --------------------------------------------------------------------

    /**
     * Ajoute le block d'information pour patienter
     *
     * @access public
     * @return boolean
     */ 
    function add_block_for_waiting()
    {        
        $('#waiting_process').html(function(){
            var img_src = $(this).data('waiting-img');
            var message = $(this).data('waiting-msg');
                        
            return '<img src="'+img_src+'" /><p>'+message+'</p>'
        })
        .css('display', 'block');
    }    

	// --------------------------------------------------------------------

    /**
     * Ajoute le fond de page
     *
     * @access public
     * @return boolean
     */ 
    function add_page_background()
    {        
        $('<div></div>', {
            'id' : 'background',
            'css' : {
            	'display': 'none', /*--masqué par défaut--*/
            	'background': '#000',
            	'position': 'fixed', 'left': '0', 'top': '0',
            	'width': '100%', 'height': '100%',
            	'opacity': '.80',
            	'z-index': '999',
            }
        }).appendTo("body").fadeIn();
    }    
    
	// --------------------------------------------------------------------

    /**
     * fonctions à exécuter lors du chargement du script
     *
     * @return void
     */
    function init()
	{
        if (document.getElementById('waiting_process')) {
            add_events_for_display_waiting_process();    
        }       
    }
    //
    
    init(); // initialisation  
});