<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| Initialisation des constantes et des fonctions utilisées dans le plugin
|--------------------------------------------------------------------------
*/

/**
 * ROOT
 */
define('ADMR_PLUGIN_VERSION', '6.14');
define('ADMR_SITE_URL', $site[3]);
define('ADMR_PUBLIC_ROOT_PATH', CHEMIN.'plugins/'.ADMR_DIRNAME);
define('ADMR_ADMIN_ROOT_PATH',  CHEMIN.'admin/plugins/'.ADMR_DIRNAME);

/**
 * MAIN DIRECTORIES
 */
define('ADMR_CORE_PATH',        ADMR_PUBLIC_ROOT_PATH.'/core');        // Core
define('ADMR_CONFIGS_PATH',     ADMR_PUBLIC_ROOT_PATH.'/configs');     // Config
define('ADMR_CONTROLLERS_PATH', ADMR_PUBLIC_ROOT_PATH.'/controllers'); // Controllers
define('ADMR_VIEWS_PATH',       ADMR_PUBLIC_ROOT_PATH.'/views');       // Views
define('ADMR_MODELS_PATH',      ADMR_PUBLIC_ROOT_PATH.'/models');      // Models
define('ADMR_HELPERS_PATH',     ADMR_PUBLIC_ROOT_PATH.'/helpers');     // Helpers
define('ADMR_LIBRARIES_PATH',   ADMR_PUBLIC_ROOT_PATH.'/libraries');   // Libraries
define('ADMR_LANGUAGES_PATH',   ADMR_PUBLIC_ROOT_PATH.'/languages');   // Languages
define('ADMR_ASSETS_PATH',      ADMR_PUBLIC_ROOT_PATH.'/assets');      // Assets
define('ADMR_ADDONS_PATH',      ADMR_PUBLIC_ROOT_PATH.'/addons');      // Addons

/**
 * ASSETS
 */
define('ADMR_CSS_PATH',         ADMR_ASSETS_PATH.'/css');		 // Chemin du répertoire CSS
define('ADMR_JS_PATH',          ADMR_ASSETS_PATH.'/js');		 // Chemin du répertoire javascript
define('ADMR_IMG_PATH',         ADMR_ASSETS_PATH.'/img');        // Chemin du répertoire images
define('ADMR_EDITORS_CONFIG_PATH', ADMR_ASSETS_PATH.'/editors'); // Chemin du répertoires concernant la configuration des éditeurs du rédacteur	

/**
 * IMAGES
 */    
define('ADMR_SMILEYS_PATH', CHEMIN.'inc/img/smileys');      // Chemin des images illustrant les smileys
define('ADMR_IMG_FILES_PATH',     ADMR_IMG_PATH.'/files');  // Chemin des images illustrant les types de fichiers
define('ADMR_IMG_ACTIVE',         ADMR_IMG_PATH.'/on.gif');	            // Image On (status a)
define('ADMR_IMG_INACTIVE',       ADMR_IMG_PATH.'/off.gif');            // Image Off (status i)
define('ADMR_IMG_DELETE',         ADMR_IMG_PATH.'/del.gif');            // Image Sup (status d)
define('ADMR_IMG_SAVE',           ADMR_IMG_PATH.'/save.gif');           // Image Save (status s)
define('ADMR_IMG_REMOVE',         ADMR_IMG_PATH.'/erase.gif');          // Image Destroy (status r)
define('ADMR_IMG_EDIT',           ADMR_IMG_PATH.'/edit.gif');           // Image Edition
define('ADMR_IMG_FILES',          ADMR_IMG_PATH.'/files.gif');          // Image files
define('ADMR_IMG_DIRECTORY',      ADMR_IMG_PATH.'/directory.gif');      // Image directory
define('ADMR_IMG_PARENT_DIR',     ADMR_IMG_PATH.'/parent_dir.gif');     // Image parent directory
define('ADMR_IMG_EXPLORER',       ADMR_IMG_PATH.'/explorer.gif');       // Image explorer directory
define('ADMR_IMG_LOOK',           ADMR_IMG_PATH.'/look.gif');           // Image look file
define('ADMR_IMG_UPLOAD',         ADMR_IMG_PATH.'/upload.gif');         // Image upload file
define('ADMR_IMG_RESET',          ADMR_IMG_PATH.'/reset.gif');          // Image Reset
define('ADMR_IMG_GROUP',          ADMR_IMG_PATH.'/group.gif');          // Image groupe
define('ADMR_IMG_GROUP_EMPTY',    ADMR_IMG_PATH.'/group_empty.gif');    // Image groupe vide
define('ADMR_IMG_ADD_NEW_WRITER', ADMR_IMG_PATH.'/add_new_writer.gif'); // Image ajout d'un rédacteur dans un groupe 
define('ADMR_IMG_ADD_WRITERS',    ADMR_IMG_PATH.'/add_writers.gif');    // Image affectation de rédacteurs dans un groupe
define('ADMR_IMG_NEW',            ADMR_IMG_PATH.'/new.gif');            // Image Nouveauté
define('ADMR_IMG_UPDATE',         ADMR_IMG_PATH.'/update.gif');         // Image Mise à jour
define('ADMR_IMG_APPROVED',       ADMR_IMG_PATH.'/approved.gif');       // Image approuvé
define('ADMR_IMG_NOT_APPROVED',   ADMR_IMG_PATH.'/not_approved.gif');   // Image non approuvé    
define('ADMR_IMG_SORT_ASC',       ADMR_IMG_PATH.'/sort_asc.gif');       // Tri ascendant
define('ADMR_IMG_SORT_DESC',      ADMR_IMG_PATH.'/sort_desc.gif');      // Tri descendant
define('ADMR_IMG_ADD_FILE',       ADMR_IMG_PATH.'/add_file.gif');       // Ajouter un fichier
define('ADMR_IMG_MSG',            ADMR_IMG_PATH.'/message.gif');       // Envoyer un message

/**
 * DATA
 */
define('ADMR_DATA_PATH',          CHEMIN.'data/plugins/'.ADMR_DIRNAME);
define('ADMR_TABLE_WRITER_DB',    ADMR_DATA_PATH.'/writer_id'.DBEXT);
define('ADMR_COUNTER_WRITER_DB',  ADMR_DATA_PATH.'/writer_nextid'.DBEXT);
define('ADMR_TABLE_GROUP_DB',     ADMR_DATA_PATH.'/group_id'.DBEXT);
define('ADMR_COUNTER_GROUP_DB',   ADMR_DATA_PATH.'/group_nextid'.DBEXT);
define('ADMR_WRITER_PATH',        ADMR_DATA_PATH.'/writers');
define('ADMR_WRITER_RIGHTS_PATH', ADMR_WRITER_PATH.'/rights');
define('ADMR_WRITER_RIGHTS_FILE_PREFIX', 'writer_rights_');
define('ADMR_WRITER_DOCS_PATH',   ADMR_WRITER_PATH.'/docs');
define('ADMR_WRITER_DOCS_FILE_PREFIX', 'writer_docs_');

/*define('ADMR_WRITER_MSG_PATH', ADMR_WRITER_PATH.'/msg');
define('ADMR_WRITER_MSG_FILE_PREFIX', 'writer_msg_');
define('ADMR_COUNTER_MSG_DB', ADMR_WRITER_MSG_PATH.'/msg_nextid'.DBEXT);
define('ADMR_WRITER_MSG_CONTENT_PATH', ADMR_WRITER_MSG_PATH.'/msg_content');
define('ADMR_WRITER_MSG_CONTENT_FILE_PREFIX', 'msg_content_');
*/
define('ADMR_WRITER_ONLINE_PATH', ADMR_WRITER_PATH.'/online');
define('ADMR_WRITER_ONLINE_FILE_PREFIX', 'writer_online_');
define('ADMR_GROUP_PATH',         ADMR_DATA_PATH.'/groups');
define('ADMR_GROUP_RIGHTS_PATH',  ADMR_GROUP_PATH.'/rights');
define('ADMR_GROUP_RIGHTS_FILE_PREFIX', 'group_rights_');
define('ADMR_ADDONS_DATA_PATH', ADMR_DATA_PATH.'/addons'); // ADDONS
//

define('ADMR_PATH_CONFIG_UPLOAD', 'admin/plugins');	// Chemin qui mène au répertoire contenant le fichier de config de l'upload
define('ADMR_ADMIN_NAME', $user[0]); // Nom de l'administrateur de guppy	
define('ADMR_LNG', is_file(ADMR_LANGUAGES_PATH.'/'.$lng.'.php')? $lng : 'en');       
define('ADMR_BASE_HREF_PLUGIN', (ADMR_IS_ADMIN ? 'admin.php?lng='.ADMR_LNG.'&pg=plugin&plug='.ADMR_DIRNAME.'/admin' : 'writer.php?lng='.ADMR_LNG));	//Lien de base du plugin
define('ADMR_CONTROLLER', trim(import('ctrl')));
define('ADMR_DATA_CONNECTOR', '||');