<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require ADMR_CORE_PATH.'/admin_controller.php';

class Admin_toggle_menu_icon_display_controller extends Admin_controller 
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();         // Données de langue
    protected $_icon_menu_status;

    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
    public function __construct()
    {
        parent :: __construct();
        $this -> load_helper('var_helper');
        
        $this -> _icon_menu_status = Var_helper :: import('status', '', 0);
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

    public function index()
    {
        if (empty($this -> _icon_menu_status)) {
            $this -> hide_icon_menu();    
        } else {
            $this -> show_icon_menu();
        }
        
        $this -> _build_view();
    }
    
	// --------------------------------------------------------------------

    /*
     * Ajoute l'icone du plugin dans la barre de menu
     *
     * @return void
     */
    protected function show_icon_menu()
    {
        include_once CHEMIN.'admin/plugins/funcplug.inc';
        
        if (!PluginRegistered(ADMR_DIRNAME)) {
            RegisterPlugin(ADMR_DIRNAME, '', '');
        }
    }
    
	// --------------------------------------------------------------------

    /*
     * Supprime l'icone du plugin dans la barre de menu
     *
     * @return void
     */
    protected function hide_icon_menu()
    {
        include_once CHEMIN.'admin/plugins/funcplug.inc';
        
        UnregisterPlugin(ADMR_DIRNAME);
    }
    
	// --------------------------------------------------------------------

    /*
     * Construit et renvoie la page html
     *
     * @return void
     */
    private function _build_view()
    {
        $data = array(
            'message' => empty($this -> _icon_menu_status) ? ucfirst($this -> _lang['msg_success_delete_icon_plugin']) : ucfirst($this -> _lang['msg_success_add_icon_plugin']) 
        );
        
        $this -> render_page('toggle_menu_icon_display', $data);
    }

	// --------------------------------------------------------------------

	/**
	 * définit et renvoie des ajouts (js, css, code php) dans la partie <head> de la page 
     * 
	 * @return string titre de la page
	 * @access public
	 */	
    public function set_header_addons()
    {
        $parent_addons = parent :: set_header_addons();
        
        $js = '';
      
        $css = '';
        $css .= '<link rel="stylesheet" type="text/css" href="'.ADMR_CSS_PATH.'/form_validator.css" />'."\n";
 
        return $parent_addons.$js.$css;
    }
    
	// --------------------------------------------------------------------
     
    
} // End Class