<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require ADMR_CORE_PATH.'/public_controller.php';

class Manage_files_controller extends Public_controller
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();         // Données de langue
    protected $_config = array();       // Données de configuration
    protected $_params = array();       // Données récupérés par post ou get
    protected $_writer_rights = array(); // Droits du rédacteur

    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    function __construct()
    {
        parent :: __construct();

        $this -> load_helper('manage_files_helper', $this -> _writer_rights);
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

    public function index()
    {
        $this -> manage_files_helper -> index();
    }

	// --------------------------------------------------------------------

	/**
	 * Uploader des fichiers
     * 
	 * @access public
	 * @return string Vue html
	 */
    public function upload()
    {        
        $this -> manage_files_helper -> upload();
    }
    
	// --------------------------------------------------------------------

	/**
	 * Crée un répertoire
     * 
	 * @access public
	 * @return string Vue html
	 */
    public function create_dir()
    {
        $this -> manage_files_helper -> create_dir();
    }
    
	// --------------------------------------------------------------------

	/**
	 * Prévisualise un fichier
     * 
	 * @access public
	 * @return string Vue html
	 */
    public function preview()
    {
        $this -> manage_files_helper -> preview();           
    }
   
	// --------------------------------------------------------------------

	/**
	 * Renomme un fichier ou un répertoire s'il est valide
     * 
	 * @access public
	 * @return string Vue html
	 */
    public function rename()
    {
        $this -> manage_files_helper -> rename();           
    }

	// --------------------------------------------------------------------

	/**
	 * Supprime un fichier ou un répertoire s'il est valide
     * 
	 * @access public
	 * @return string Vue html
	 */
    public function delete()
    {
        $this -> manage_files_helper -> delete();           
    }
       
	// --------------------------------------------------------------------

    /*
     * Définit et renvoie le titre de la page 
     *
     * @param array Données à faire passer à la vue
     * @return void
     */        
    public function set_title_page()
    {
        return $this -> manage_files_helper -> set_title_page(); 
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie des ajouts (js, css, code php) dans la partie <head> de la page 
     * 
	 * @access public
     * @return string
	 */	
    public function set_header_addons()
    {
        $header_addons = parent :: set_header_addons();
        $header_addons .= $this -> manage_files_helper -> set_header_addons();
         
        return $header_addons;
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie la description de la page ainsi que les recommendations
     * 
	 * @return string titre de la page
	 * @access public
	 */	
    protected function _set_infos_page_content()
    {		
        return $this -> manage_files_helper -> set_infos_page_content(); 
    }

	// --------------------------------------------------------------------

    /**
     * Définit le contenu du menu qui est affiché dans le bandeau en haut de la page
     *
     * @return array Tableau contenant les items du menu (vide par défaut)
     */
    protected function _set_menu_plugin_items()
    {
        return $this -> manage_files_helper -> set_menu_plugin_items();  
    }

	// --------------------------------------------------------------------
	
} //End of Class