<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Email_helper
{	

    /**
     * Envoyer un email à l'administrateur pour l'informer 
     * de l'ajout ou de la modification d'un document
     *
     * @access	public
     * @param	string array Informations concernant le rédacteur
     * @param	string array Informations concernant le document
     * @param	string array Tableau contenant les items de langue
     * @return	void
     */	
	public static function inform_admin_of_writer_doc_modification($writer_infos, $doc_infos, $lang)
	{
        $doc_href = ADMR_SITE_URL.'admin/admin.php?lng='.ADMR_LNG.'&pg=plugin&plug='.ADMR_DIRNAME.'/edit_writer_doc&sort=ch_asc&form=2&idpg=1&writerid='.$writer_infos['id'].'&type='.$doc_infos['type'].'&id='.$doc_infos['id'];
        
        $subject = sprintf($lang['email_for_writer_doc_modification']['subject'], $doc_infos['id']);
        $body = sprintf($lang['email_for_writer_doc_modification']['body'], $writer_infos['name'], $doc_infos['id'], $doc_href);

        eMailHtmlTo($subject, $body, "");
        
        return TRUE;
    }

	// --------------------------------------------------------------------

}