<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require_once ADMR_HELPERS_PATH.'/manage_docs_helper.php';

class Manage_photoramas_helper extends Manage_docs_helper
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();          // Données de langue
    protected $_config = array();        // Données de configuration
    protected $_params = array();        // Données récupérés par post ou get
    protected $_sort_options = array();	 // Options de tri    
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    function __construct($writer_rights = array())
    {
        parent :: __construct(TYP_PHOTO, $writer_rights);
        
        $this -> CI -> load_model('photoramas_diapos_model');            
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

	/**
	 * gére les enregistrements
     * 
     * @access public
	 * @return string code html
	 */	
    public function manage()
    {        
        parent :: manage();
    }
    
	// --------------------------------------------------------------------

	/**
	 * recherche des enregistrements et redirige vers la page qui va afficher les résultats de la recherche
     * 
     * @access public
	 * @return void
	 */
    public function search()
    {
        parent :: search();       
    }

	// --------------------------------------------------------------------

    /**
     * Définit et renvoie le titre de la page 
     *
     * @access public
     * @return string titre de la page
     */        
    public function set_title_page()
    {
        return parent :: set_title_page();
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie la description de la page ainsi que les recommendations
     * 
     * @access public
     * @return string description de la page
	 */	
    public function set_infos_page_content()
    {		
        return parent :: set_infos_page_content();
    }
    
	// --------------------------------------------------------------------

    /**
     * Définit le contenu du menu qui est affiché dans le bandeau en haut de la page
     * 
     * @access public
     * @return string menu de la page
	 */	
    public function set_menu_plugin_items()
    {		
        return parent :: set_menu_plugin_items();
    }

	// --------------------------------------------------------------------
  
	/**
	 * Définit et renvoie les entêtes de la table de données
     * 
	 * @access protected
	 * @return array Tableau contenant les entêtes du tableau de données
	 */    
    protected function _set_data_table_headers()
    {
		$headers = array(
            parent :: _set_data_table_header_for_id(),
            parent :: _set_data_table_header_for_description($this -> _lang['title']),			
			parent :: _set_data_table_header_for_status(),
            parent :: _set_data_table_header_for_commands(),
		);

        return $headers;
    }

	// --------------------------------------------------------------------
  
	/**
	 * Définit et renvoie le contenu des cellules de la table de données
     * 
	 * @access protected
	 * @param array Données de l'enregistrement
	 * @return array Tableau contenant le contenu des cellules de la table de données
	 */    
    protected function _set_data_table_cells($record)
    {    	
		$cells = array(
            parent :: _set_data_table_cell_for_id($record),
            parent :: _set_data_table_cell_for_description($record),			
			parent :: _set_data_table_cell_for_status($record),
            parent :: _set_data_table_cell_for_commands($record),
		);
        
        return $cells;
    }

	// --------------------------------------------------------------------

	/**
	 * Ajoute le contenu de la cellule "Commandes" du tableau de données
     * 
	 * @access protected
	 * @param array Données de l'enregistrement
	 * @return string Contenu html de la cellule
	 */
	protected function _add_contents_for_td_commands($record)
	{        
        $this -> CI -> photoramas_diapos_model -> load_data($record['id']);
        $nb_photos = $this -> CI -> photoramas_diapos_model -> count(array('status' => array('a','i')));

        $view = '';

		// Gestion des photos de la galerie photos
        $view .= Html_helper :: addA(
			$href = ADMR_BASE_HREF_PLUGIN.'&amp;ctrl=manage_photos&amp;galid='.$record['id'],
			$contents = Html_helper :: addImg(
				$path = ADMR_IMG_PATH.'/photos.gif',
				$alt = ucfirst($this -> _lang['manage_photos']),
				$attr = array(
					'title' => $alt,
					'border' => '0',
				)
			)
            .'&nbsp;('.$nb_photos.')&nbsp;&nbsp;',
			$attr = array()
		);	

		// Ajout de photos dans la galerie photos
        $view .= Html_helper :: addA(
			$href = ADMR_BASE_HREF_PLUGIN.'&amp;ctrl=add_photos&amp;galid='.$record['id'],
			$contents = Html_helper :: addImg(
				$path = ADMR_IMG_ADD_FILE,
				$alt = ucfirst($this -> _lang['add_photos']),
				$attr = array(
					'title' => $alt,
					'border' => '0'
				)
			)
            .'&nbsp;&nbsp;',
			$attr = array()
		);	

		// Reconstruction des miniatures
        $view .= Html_helper :: addA(
			$href = ADMR_BASE_HREF_PLUGIN.'&amp;ctrl=manage_photos/rebuild_thumbnail&amp;galid='.$record['id'],
			$contents = Html_helper :: addImg(
				$path = ADMR_IMG_PATH.'/rebuild.gif',
				$alt = ucfirst($this -> _lang['rebuild_thumbnails']),
				$attr = array(
					'title' => $alt,
					'border' => '0',
				)
			)
            .'&nbsp;&nbsp;',
			$attr = array(
                'class' => 'waiting_process'
            )
		);	
        
        return $view;
	}

	// --------------------------------------------------------------------

} //End of Class