<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require_once ADMR_HELPERS_PATH.'/plugin_menu_helper.php';

class Plugin_menu_for_writers_helper extends Plugin_menu_helper
{
    /**
	 * Définit et retourne les items du menu qui est affiché dans le bandeau en haut de la page coté public
     * 
	 * @access public
	 * @param string Nom du document
	 * @param array Tableau contenant les traduction de langue
	 * @param array Tableau contenant les options de configuration
     * @param array Tableau contenant les paramètres des droits du rédacteur
     * @param array Paramètres optionnels
	 * @return array
	 */
	public static function set_public_items($doc_name, $lang, $config, $writer_rights = array(), $params = array())
	{
        return array(
            self :: add_item_for_go_dashboard($doc_name, $lang),
            self :: add_item_for_manage_docs($doc_name, $lang, $writer_rights),
            self :: add_item_for_manage_docs($doc_name.'_docs', $lang, $writer_rights, array(
                    'class' => 'manage_docs writers_docs writers',            
                )
            ),
            self :: add_item_for_manage_docs('addons_'.$doc_name.'_docs', $lang, $writer_rights, array(
                    'is_allowed' => $writer_rights['writers_docs_manage'],
                    'class' => 'manage_docs addons_writers_docs writers',
                    'addon_dir_path' => $params['addon_dir_path'],
                    'pattern_to_search_in_uri' => array('method' => 'no_strict', 'string' => 'manage_addons_writers_'), 
                )
            ),
            self :: add_item_for_disconnect($doc_name, $lang)
        );
    }

	// --------------------------------------------------------------------

    /**
	 * Définit et retourne les items du menu qui est affiché dans le bandeau en haut de la page coté admin
     * 
	 * @access public
	 * @param string Nom du document
	 * @param array Tableau contenant les traduction de langue
	 * @param array Tableau contenant les options de configuration
     * @param array Tableau contenant les paramètres des droits du rédacteur
     * @param array Paramètres optionnels
	 * @return array
	 */
	public static function set_admin_items($doc_name, $lang, $config, $writer_rights = array(), $params = array())
    {
        return parent :: set_admin_items($doc_name, $lang, $config, $writer_rights, $params);
    }

	// --------------------------------------------------------------------

} // End of class