<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require_once ADMR_HELPERS_PATH.'/search_docs_helper.php';

class Search_banners_helper extends Search_docs_helper
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();          // Données de langue
    protected $_config = array();        // Données de configuration
    protected $_params = array();        // Données récupérés par post ou get
    protected $_sort_options = array();	 // Options de tri    

    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */

	/**
	 * constructeur
     * 
     * @access public
     * @param string Type du document de guppy (TYP_ART, TYP_NEWS, ...)
     * @param array Tableau contenant les droits du rédacteur
	 * @return void
	 */	
    public function __construct($writer_rights)
    {
        parent :: __construct(TYP_BANNER, $writer_rights);
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

	/**
	 * retourne la liste des documents du rédacteur (obligation de réécrire car pas de fichier index présent dans guppy)
	 *
	 * @access	protected
	 * @return	array sous la forme array(id => name)
	 */
    protected function _get_writer_docs()
    {        
        $docs = array();
        $doc_infos = $this -> _doc_infos;
        $autorization = $this -> _writer_rights[$doc_infos['name'].'_manage'];
        
        if (! empty($autorization)) {
            $writer_docs = $this -> CI -> writer_docs_model -> get(array('type' => $doc_infos['type']));
            
            foreach($writer_docs as $id => $doc) {
                $docs[$id] = $this -> CI -> {$doc_infos['name'].'_model'} -> read($id);
                $docs[$id]['heading'] = $this -> CI -> {$doc_infos['name'].'_model'} -> set_doc_heading($docs[$id]);         
            }
        }

        ksort($docs);
        
        return $docs;
    }

	// --------------------------------------------------------------------

} // End of Class