<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class String_helper
{	
    /**
     * Met le premier caractère en majuscule même si c'est une lettre accentuée
     *
     * @access public
	 * @param string Chaine de caractère
 	 * @return string Chaine avec le premier caractère en majuscule
	 */
    public static function ucfirst($string)
    { 
        $string = ucfirst($string);
        $string = self :: french_ucfirst($string);
        
        return $string; 
    } 

	// --------------------------------------------------------------------

    /**
     * Remplace le premier caractère accentué en majuscule
     *
     * @access public
	 * @param string Chaine de caractère
 	 * @return string Chaine avec le premier caractère en majuscule
	 */
    public static function french_ucfirst($string)
    {
        $lowCase  = "\\xE0\\xE1\\xE2\\xE3\\xE4\\xE5\\xE7\\xE8\\xE9\\xEA\\xEB\\xEC\\xED\\xEE\\xEF"; 
        $lowCase .= "\\xF1\\xF2\\xF3\\xF4\\xF5\\xF6\\xF8\\xF9\\xFA\\xFB\\xFC\\xFD\\xFF\\u0161"; 
        
        $upperCase = "AAAAAA\\xC7EEEEIIIINOOOOOOUUUUYYS"; 
        
        return strtoupper(strtr(substr($string, 0, 1), $lowCase, $upperCase)) . substr($string, 1); 
    }

	// --------------------------------------------------------------------

 }