<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Docs_model extends Model
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    private $_file_path = DBBASE;
    private $_file_ext = INCEXT;
    private $_params = array(
        'type'      => '',
        'fileid'    => '',
        'status'    => '',
        'creadate'  => '',
        'moddate'   => '',
        'author'    => '',
        'email'     => '',
        'fielda1'   => '',
        'fielda2'   => '',
        'fieldb1'   => '',
        'fieldb2'   => '',
        'fieldc1'   => '',
        'fieldc2'   => '',
        'fieldd1'   => '',
        'fieldd2'   => '',
        'fieldweb'  => '',
        'fieldmail' => '',
        'fieldmod'  => '',
    );
    //
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    public function __construct($doc_type = NULL)
	{

	}

	// --------------------------------------------------------------------
 
	/**
	 * Lit et renvoie dans un tableau les données enregistrées du document
     * 
     * @access public 
	 * @param integer Identifiant du document
	 * @return array Tableau contenant les valeurs des droits du rédacteur (par défaut $this -> _params)
	 */
    public function read($doc_id = '')
    {
        $data = $this -> _params;
      
        ReadDoc($doc_id);

        foreach($data as $key => $value) {
            global $$key;           
            
            if (isset($$key)) {
                $data[$key] = $$key;    
            }
        }

        return $data;
    }

	// --------------------------------------------------------------------
 
	/**
	 * Ecrit les données du document dans un fichier
     * 
     * @access public
     * @param  array données du document à enregistrer
	 * @return boolean
	 */    
    public function write($data)
    {
        settype($data, 'array');
        $data = $this -> clean($data);

        foreach($data as $key => $value) {
            global $$key;
            $$key = $data[$key];
        }
		
		return WriteDoc();
    }

	// --------------------------------------------------------------------
 
	/**
	 * Nettoie les données du rédacteur
     * 
     * @access public 
	 * @param array Données du rédacteur à nettoyer
	 * @return array
	 */        
    public function clean($data)
    {
        $data_by_default = $this -> _params;
        
        return array_merge($data_by_default, array_intersect_key($data, $data_by_default));
    }

	// --------------------------------------------------------------------
 
	/**
	 * Définit et renvoie les règles de validation des paramètres
     * 
     * @access public 
	 * @param array Tableau contenant les paramètres à valider
	 * @param array Tableau contenant les messages d'erreur
	 * @param array Tableau contenant les options de configuration
	 * @return array Tableau contenant les règles de validation et les messages d'erreur associés sous la forme
     *               array(
     *                  'pubdate0' => array(
     *                      array(
     *                          'rules' => array(array($this, '_is_valid_format_pubdate')),
     *                          'msg' => 'la date de fin de publication doit être mise au format aaaa/mm/jj'
     *                      ),
     *                      array(
     *                          'rules' => array(array($this, '_is_valid_pubdate')),
     *                          'msg' => 'la date de fin de publication n\'existe pas'
     *                      ),
     *                  ),
     *              )
	 */

    public function set_params_rules($params, $lang, $config)
    {
        return array();
    }

	// --------------------------------------------------------------------
 
	/**
	 * Nettoie et renvoie le contenu des paramètres content1 et content2
     * 
     * @access protected
	 * @param string contenu à nettoyer
	 * @return string contenu nettoyé
	 */   
    protected function _clean_param_content($contents)
    {
        $in = array(
    		'\\',
    		'="'.ADMR_SITE_URL
    	);
    	$out = array(
    		'&#92;',
    		'="'
    	);
    
    	return str_replace($in, $out, $contents);
    }  
    
	// --------------------------------------------------------------------
 
} // End of Class