<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<form action="<?php echo $form_url; ?>" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[creadate]" value="<?php echo $params['creadate']; ?>" />

<?php include 'fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_date_publication_view.php'; ?>

<?php include 'fragments/add_input_author_view.php'; ?>

<fieldset>
<legend><?php echo ucfirst($lang['event_publication']); ?></legend>
<p>
<label><?php echo ucfirst($lang['event_date']).'&nbsp;:&nbsp;'; ?> 
<input 
id="event_date" 
data-validation="eventdate" 
data-validation-error-msg-date-required="<?php echo htmlspecialchars($lang['form_errors_msg']['eventdate_required'], ENT_QUOTES, 'UTF-8'); ?>" 
data-validation-error-msg-date-format="<?php echo htmlspecialchars($lang['form_errors_msg']['eventdate_format_not_valid'], ENT_QUOTES, 'UTF-8'); ?>" 
data-validation-error-msg-date-not-exist="<?php echo htmlspecialchars($lang['form_errors_msg']['eventdate_not_exist'], ENT_QUOTES, 'UTF-8'); ?>" 
data-validation-error-msg-date-value="<?php echo htmlspecialchars($lang['form_errors_msg']['eventdate_less_recent_than_pubdate'], ENT_QUOTES, 'UTF-8'); ?>" 
type="text" name="params[evdate]" placeholder="____/__/__" value="<?php echo $params['evdate']; ?>" maxlength="10" size="10" />
</label>
<?php echo $errors['evdate']; ?>
</p>
<p>
<?php foreach(array('event_time_begin', 'event_time_end') as $key => $time) : ?>
<p><?php echo ucfirst($lang[$time]).'&nbsp;:&nbsp;'; ?>
<label>
<select 
id="evhour<?php echo $key; ?>" 
name="params[evhour<?php echo $key; ?>]" 
data-validation="eventhour<?php if ($key == 1) echo ' eventtime'; ?>" 
data-validation-error-msg-hour-required="<?php echo htmlspecialchars($lang['form_errors_msg']['eventhour_required'], ENT_QUOTES, 'UTF-8'); ?>" 
data-validation-error-msg-time-end="<?php echo htmlspecialchars($lang['form_errors_msg']['eventtime_end_less_recent_than_begin'], ENT_QUOTES, 'UTF-8'); ?>" 
>
<option value=""<?php echo ($params['evhour'.$key] == '') ? ' selected="selected"' : ''; ?>>--</option>
<?php for($i = 0; $i < 24; $i++) : ?>
<option value="<?php echo sprintf('%02d', $i); ?>"<?php echo ($params['evhour'.$key] == sprintf('%02d', $i)) ? ' selected="selected"' : ''; ?>><?php echo sprintf('%02d', $i); ?></option>
<?php endfor; ?>
</select>
<?php echo '&nbsp;'.$lang['hour(symbol)']; ?></label>
<label>
<select 
id="evminute<?php echo $key; ?>" 
name="params[evminute<?php echo $key; ?>]"
data-validation="eventminutes" 
data-validation-error-msg-minutes-required="<?php echo htmlspecialchars($lang['form_errors_msg']['eventminutes_required'], ENT_QUOTES, 'UTF-8'); ?>" 
data-validation-error-msg-time-end="<?php echo htmlspecialchars($lang['form_errors_msg']['eventtime_end_less_recent_than_begin'], ENT_QUOTES, 'UTF-8'); ?>" 
>
<option value=""<?php echo ($params['evminute'.$key] == '') ? ' selected="selected"' : ''; ?>>--</option>
<?php for($i = 0; $i < 60; $i++) : ?>
<option value="<?php echo sprintf('%02d', $i); ?>"<?php echo ($params['evminute'.$key] == sprintf('%02d', $i)) ? ' selected="selected"' : ''; ?>><?php echo sprintf('%02d', $i); ?></option>
<?php endfor; ?>
</select>
<?php echo '&nbsp;'.$lang['minutes(symbol)']; ?></label>
<?php echo $errors['evhour'.$key]; ?>
 <?php echo $errors['evminute'.$key]; ?>
</p>
<?php endforeach; ?>
</fieldset>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_contents_view.php'; ?>
<!-- Options -->
<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage'])) : // Gestion de l'accès au groupe privé autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include 'fragments/add_select_status_view.php'; ?>
<?php include 'fragments/add_select_private_group_view.php'; ?>
</fieldset>
<?php endif; ?>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>