<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<form action="<?php echo $form_url; ?>" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[creadate]" value="<?php echo $params['creadate']; ?>" />

<?php include 'fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_date_publication_view.php'; ?>

<?php include 'fragments/add_input_author_view.php'; ?>

<fieldset id="admr_doc_img">
<legend><?php echo ucfirst($lang['image_of_banner']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <p>
    <label><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;:&nbsp;
    <input 
     id="doc_img<?php echo $key+1; ?>" 
     data-validation="image"
     data-validation-error-msg-image-required="<?php echo htmlspecialchars($lang['form_errors_msg']['image_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-img-path="img"
     data-validation-error-msg-img-path="<?php echo sprintf(htmlspecialchars($lang['form_errors_msg']['only_this_image_directories_%s_are_allowed'], ENT_QUOTES, 'UTF-8'), 'img'); ?>"
     data-validation-ext-allowed="<?php echo implode(',', $config['file_manager']['access']['image']['allowed_ext']); ?>"
     data-validation-error-msg-img-ext="<?php echo sprintf(htmlspecialchars($lang['form_errors_msg']['only_this_image_extensions_%s_are_allowed'], ENT_QUOTES, 'UTF-8'), implode(',', $config['file_manager']['access']['image']['allowed_ext'])); ?>"
     placeholder="img/"
     class="texte" 
     type="text" 
     name="params[img<?php echo $key+1; ?>]"
     size="45" value="<?php echo htmlspecialchars($params['img'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>"
    />
    </label>
    <a class="filebrowser" target="filebrowser" href="<?php echo ADMR_PUBLIC_ROOT_PATH; ?>/filemanager.php?lng=fr&ctrl=manage_files&type=image&target=doc_img<?php echo $key+1; ?>">
    <input class="bouton" name="filebrowser" value="<?php echo ucfirst($lang['label_button']['browse']); ?>" type="button" />
    </a>
    <?php echo $errors['img'.($key+1)]; ?>
    </p>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>

<?php include 'fragments/add_fieldset_website_url_view.php'; ?>

<fieldset id="admr_doc_alt">
<legend><?php echo ucfirst($lang['alternative_text_of_banner']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <p>
    <label><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;:&nbsp;
    <input class="texte" type="text" name="params[alt<?php echo $key+1; ?>]" size="45" value="<?php echo htmlspecialchars($params['alt'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>" />
    </label>
    </p>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>

<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act'])) : ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include 'fragments/add_select_status_view.php'; ?>
</fieldset>
<?php endif; ?>
<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>