<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<form action="<?php echo $form_url; ?>" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[creadate]" value="<?php echo $params['creadate']; ?>" />

<?php include 'fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_date_publication_view.php'; ?>
<!-- Author -->
<?php include 'fragments/add_input_author_view.php'; ?>

<?php include 'fragments/add_fieldset_cat_view.php'; ?>
<?php include 'fragments/add_fieldset_title_view.php'; ?>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_contents_view.php'; ?>

<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage'])) : // Gestion de l'accès au groupe privé autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include 'fragments/add_select_status_view.php'; ?>
<?php include 'fragments/add_select_private_group_view.php'; ?>
</fieldset>
<?php endif; ?>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<fieldset id="admr_doc_title">
<legend><?php echo ucfirst($lang['document_configuration']); ?></legend>   
    <fieldset>     <!-- miniatures -->
    <legend><?php echo ucfirst($lang['thumbnails']); ?></legend>
        <p>
        <label><?php echo ucfirst($lang['max_thumbs_per_gallery']); ?>&nbsp;:&nbsp;
        <input data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['field_not_number_valid'], ENT_QUOTES, 'UTF-8'); ?>" class="texte" type="text" name="params[max_per_gal]" size="3" value="<?php echo htmlspecialchars($params['max_per_gal'], ENT_QUOTES, 'UTF-8'); ?>" />
        </label>
        <?php echo !empty($errors['max_per_gal']) ? $errors['max_per_gal'] : '' ?>
        </p>
        <p>
        <label><?php echo ucfirst($lang['thumbs_width_max']); ?>&nbsp;:&nbsp;
        <input data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['field_not_number_valid'], ENT_QUOTES, 'UTF-8'); ?>" class="texte" type="text" name="params[width_max]" size="3" value="<?php echo htmlspecialchars($params['width_max'], ENT_QUOTES, 'UTF-8'); ?>" />
        </label>
        <?php echo !empty($errors['width_max']) ? $errors['width_max'] : '' ?>
        </p>
        <p>
        <label><?php echo ucfirst($lang['thumbs_height_max']); ?>&nbsp;:&nbsp;
        <input data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['field_not_number_valid'], ENT_QUOTES, 'UTF-8'); ?>" class="texte" type="text" name="params[height_max]" size="3" value="<?php echo htmlspecialchars($params['height_max'], ENT_QUOTES, 'UTF-8'); ?>" />
        </label>
        <?php echo !empty($errors['height_max']) ? $errors['height_max'] : '' ?>
        </p>
        <p>
        <label><?php echo ucfirst($lang['max_thumbs_per_row']); ?>&nbsp;:&nbsp;
        <input data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['field_not_number_valid'], ENT_QUOTES, 'UTF-8'); ?>" class="texte" type="text" name="params[max_per_row]" size="3" value="<?php echo htmlspecialchars($params['max_per_row'], ENT_QUOTES, 'UTF-8'); ?>" />
        </label>
        <?php echo !empty($errors['max_per_row']) ? $errors['max_per_row'] : '' ?>
        </p>
        <p>
        <label><?php echo ucfirst($lang['space_beetween_thumbs']); ?>&nbsp;:&nbsp;
        <input data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['field_not_number_valid'], ENT_QUOTES, 'UTF-8'); ?>" class="texte" type="text" name="params[space]" size="3" value="<?php echo htmlspecialchars($params['space'], ENT_QUOTES, 'UTF-8'); ?>" />
        </label>
        <?php echo !empty($errors['space']) ? $errors['space'] : '' ?>
        </p>
        <p id="admr_thumbs_pos">
        <label><?php echo ucfirst($lang['thumbs_position']); ?>&nbsp;:&nbsp;
        <select id="thumbs_pos" name="params[position]">
        <option value="L"<?php echo ($params['position'] == 'L') ? ' selected="selected"' : ''; ?>><?php echo ucfirst($lang['align_left']); ?></option>
        <option value="C"<?php echo ($params['position'] == 'C') ? ' selected="selected"' : ''; ?>><?php echo ucfirst($lang['center']); ?></option>
        <option value="R"<?php echo ($params['position'] == 'R') ? ' selected="selected"' : ''; ?>><?php echo ucfirst($lang['align_right']); ?></option>
        </select>
        </label>
        <?php echo $errors['position']; ?>
        </p>
    </fieldset>
    <fieldset> <!-- photos -->
    <legend><?php echo ucfirst($lang['photos']); ?></legend>
        <p id="admr_photos_display_mode">
        <label><?php echo ucfirst($lang['photos_display_mode']); ?>&nbsp;:&nbsp;
        <select id="photos_display_mode" name="params[display_mode]">
        <option value="lightbox"<?php echo ($params['display_mode'] == 'lightbox') ? ' selected="selected"' : ''; ?>><?php echo ucfirst($lang['use_lightbox']); ?></option>
        <option value="lytebox"<?php echo ($params['display_mode'] == 'lytebox') ? ' selected="selected"' : ''; ?>><?php echo ucfirst($lang['use_lytebox']); ?></option>
        </select>
        </label>
        <?php echo $errors['display_mode']; ?>
        </p>
        <p>
        <label><?php echo ucfirst($lang['delta_time_beetween_photos']); ?>&nbsp;:&nbsp;
        <input data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['field_not_number_valid'], ENT_QUOTES, 'UTF-8'); ?>" class="texte" type="text" name="params[delta_time]" size="3" value="<?php echo htmlspecialchars($params['delta_time'], ENT_QUOTES, 'UTF-8'); ?>" />
        </label>
        <?php echo !empty($errors['delta_time']) ? $errors['delta_time'] : '' ?>
        </p>
        <p>
        <span title="<?php echo ucfirst($lang['included_in_slideshow_box']); ?>"><?php echo ucfirst($lang['included_in_slideshow_box']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[slideshow]" id="params_slideshow_1" type="radio"<?php echo !empty($params['slideshow']) ? ' checked="checked"' : ''; ?> />
        <label title="Oui" for="params_slideshow_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[slideshow]" id="params_slideshow_0" type="radio"<?php echo empty($params['slideshow']) ? ' checked="checked"' : ''; ?> />
        <label title="Non" for="params_slideshow_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>
        <p>
        <span title="<?php echo ucfirst($lang['free_gallery']); ?>"><?php echo ucfirst($lang['free_gallery']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[free_gal]" id="params_free_gal_1" type="radio"<?php echo !empty($params['free_gal']) ? ' checked="checked"' : ''; ?> />
        <label title="Oui" for="params_free_gal_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[free_gal]" id="params_free_gal_0" type="radio"<?php echo empty($params['free_gal']) ? ' checked="checked"' : ''; ?> />
        <label title="Non" for="params_free_gal_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>
    </fieldset>    
</fieldset>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>