<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<?php include 'fragments/add_block_confirm_message_view.php'; ?>

<?php if (empty($params['id'])) : ?>
<?php echo $form_upload; // Formulaire upload ?>
<?php else : ?>
<form id="ADMR_form_diapos" action="<?php echo $form_url; ?>#ADMR_block_confirm" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[id]" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[galid]" value="<?php echo $params['galid']; ?>" />
<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<input type="hidden" name="params[status]" value="<?php echo $params['status']; ?>" />
<fieldset>
<legend><?php echo ucfirst(sprintf($lang['photo_id_%d_in_photorama_id_%d'], $params['id'], $params['galid'])); ?></legend>
    <fieldset id="image_diapo">
    <legend><?php echo ucfirst($lang['image']); ?></legend>
    <p data-img_dir_path="<?php echo $dir_path_for_thumbs; ?>">
    <label title="<?php echo $lang['select_image']; ?>"><?php echo ucfirst($lang['select_image']); ?>&nbsp;
    <select name="params[filename]" size="4">
    <?php foreach($photos as $photo) : ?>
    <option value="<?php echo htmlspecialchars($photo); ?>"<?php echo (!empty($params['filename']) && $photo == $params['filename']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($photo); ?></option>
    <?php endforeach; ?>
    </select>
    </label>
    <img id="image" src="<?php echo $dir_path_for_thumbs.'/'.$params['filename']; ?>" />
    </p>
    </fieldset>
    <fieldset class="admr_doc_contents">
    <legend><?php echo ucfirst($lang['comment']); ?></legend>
    <?php foreach($config['lang'] as $key => $lng) : ?>
        <?php if (!empty($lng)) : ?>
        <div>
        <label for="params_comment<?php echo $key+1; ?>">
        <?php include ADMR_VIEWS_PATH.'/fragments/add_language_flag_view.php'; ?>&nbsp;
        <?php echo ucfirst($lang['write_doc_content']); ?>&nbsp;:&nbsp;
        </label>
        <textarea id="params_comment<?php echo $key+1; ?>" name="params[comment<?php echo $key+1; ?>]" rows="4" cols="60" placeholder="<?php echo $lang['click_here_to_add_content']; ?>"><?php echo !empty($params['comment'.($key+1)]) ? htmlspecialchars($params['comment'.($key+1)], ENT_QUOTES, 'UTF-8') : ''; ?></textarea>
        <?php  Editor_helper :: display_editor('params[comment'.($key+1).']', (!empty($params['comment'.($key+1)]) ? $params['comment'.($key+1)] : ''), array('height' => '100px', 'toolbar' => 'basic')); ?>
        </div>
        <?php endif; ?>
    <?php endforeach; ?>
    </fieldset>
</fieldset>
<p class="submitBottom"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>
<?php endif; ?>