<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<?php if (!empty($_POST['params'])) : ?>
<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_confirm_recording']); ?>&nbsp;:</h4>
<div class="<?php echo ($validation) ? 'confirm_recording_success' : 'confirm_recording_fail' ?>">
<p><strong><?php echo ucfirst($message); ?></strong></p>
</div>
<?php endif; ?>

<h4><?php echo ucfirst($lang['heading_menu_nav_page']); ?></h4>
<ul id="nav_page">
<li title="<?php echo ucfirst($lang['go_to_config_writer_logins']); ?>"><a href="#params_logins"><?php echo ucfirst($lang['logins']); ?></a></li>
<?php foreach($params as $key => $value) : ?>
<?php if (preg_match('`^([a-z]+)_manage$`', $key, $matches) && ($section = $matches[1])) : ?>
<li title="<?php echo ucfirst(sprintf($lang['go_to_config_rights_for_%s'], $lang[$section])); ?>"><a href="#params_<?php echo $section; ?>"><?php echo ucfirst($lang[$section]); ?></a></li>
<?php endif; ?>
<?php endforeach; ?>
<!-- <li title="<?php echo ucfirst($lang['go_to_config_options']); ?>"><a href="#params_options"><?php echo ucfirst($lang['options']); ?></a></li>-->
</ul>

<form action="<?php echo $form_url; ?>" method="post" id="ADMR_form_add">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="params[id]" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="<?php echo $user_type.'id'; ?>" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="idpg" value="<?php echo $idpg; ?>" />
<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button_record']; ?>" type="submit"><?php echo $lang['label_button_record']; ?></button></p>

<fieldset class="primary category" id="params_logins">
    <legend><?php echo ucfirst($lang[$user_type.'_logins']); ?></legend>
    <?php if (!empty($params['status'])) : ?>
    <p>
    <span title="Status"><?php echo ucfirst($lang['status']); ?>&nbsp;:&nbsp;</span>
    <input value="a" name="params[status]" id="params_status_a" checked="checked" type="radio"<?php echo ($params['status'] == 'a') ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['enabled']; ?>" for="params_status_a"><?php echo ucfirst($lang['activated']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <input value="i" name="params[status]" id="params_status_i" type="radio"<?php echo ($params['status'] == 'i') ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['disabled']; ?>" for="params_status_i"><?php echo ucfirst($lang['inactivated']); ?></label>
    </p>
    <?php endif; ?>
    <?php if (isset($params['name'])) : ?>   
    <p>
    <label title="<?php echo $lang[$user_type.'_name']; ?>"><?php echo ucfirst($lang['name']); ?>&nbsp;:&nbsp;
    <input
     data-validation="pseudo" 
     data-validation-error-msg-name-required="<?php echo htmlspecialchars($lang['form_errors_msg']['name_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-error-msg-chars-not-valid="<?php echo htmlspecialchars($lang['form_errors_msg']['name_must_contain_only_alphanumerics_or_dashes'], ENT_QUOTES, 'UTF-8'); ?>"      
     value="<?php echo $params['name']; ?>"
     name="params[name]"
     id="params_name"
     class="texte"
     type="text"
    />
    </label>
    <?php echo $errors['name']; ?>
    </p>
    <?php endif; ?>
    <?php if (isset($params['pass'])) : ?>   
    <p>
    <label title="<?php echo $lang['password']; ?>"><?php echo ucfirst($lang['password']); ?>&nbsp;:&nbsp;
    <input
     data-validation="password" 
     data-validation-error-msg-password-required="<?php echo htmlspecialchars($lang['form_errors_msg']['password_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-error-msg-password-length="<?php echo htmlspecialchars($lang['form_errors_msg']['password_length_must_greater_than_6_chars'], ENT_QUOTES, 'UTF-8'); ?>"
     value=""
     name="params[pass]"
     id="params_pass"
     class="texte"
     type="password" />
    </label>
    <?php echo $errors['pass']; ?>
    </p>
    <p>
    <label title="<?php echo $lang['confirm_password']; ?>"><?php echo ucfirst($lang['confirm_password']); ?>&nbsp;:&nbsp;
    <input
     data-validation="password-confirmation" 
     data-validation-error-msg-password-confirmation="<?php echo htmlspecialchars($lang['form_errors_msg']['confirmation_password_not_equal_to_password'], ENT_QUOTES, 'UTF-8'); ?>" 
     value=""
     name="params[conf_pass]"
     id="params_conf_pass"
     class="texte"
     type="password" />
    </label>
    <?php echo $errors['conf_pass']; ?>
    </p>    
    <?php endif; ?>
    <?php if (isset($params['modify_password'])) : ?>
    <p>
    <span title="<?php echo ucfirst($lang['allow_change_password']); ?>"><?php echo ucfirst($lang['allow_change_password']); ?>&nbsp;:&nbsp;</span>
    <input value="1" name="params[modify_password]" id="params_modify_password_1" type="radio"<?php echo !empty($params['modify_password']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_modify_password_1"><?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <input value="0" name="params[modify_password]" id="params_modify_password_0" type="radio"<?php echo empty($params['modify_password']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo ucfirst($lang['no']); ?>" for="params_modify_password_0"><?php echo ucfirst($lang['no']); ?></label>
    </p>
    <?php endif; ?>
    <?php if (isset($params['groupid'])) : ?>   
    <p>
    <label title="<?php echo $lang['group']; ?>" for="params_groupid"><?php echo ucfirst($lang['group']); ?>&nbsp;:&nbsp;</label>
    <select name="params[groupid]" id="params_groupid">
    <option value="0"<?php echo empty($params['groupid']) ? ' selected="selected"' : ''; ?>><?php echo $lang['none']; ?></option>    
    <?php foreach($groups as $group) : ?>
    <option value="<?php echo $group['id']; ?>"<?php echo ($params['groupid'] == $group['id']) ? ' selected="selected"' : ''; ?>><?php echo $group['name']; ?></option>
    <?php endforeach; ?>
    </select>
    </p>
    <?php endif; ?>
    <?php if (isset($params['email'])) : ?>   
    <p>
    <label title="<?php echo $lang['email']; ?>"><?php echo ucfirst($lang['email'].' ('.$lang['optional'].')'); ?>&nbsp;:&nbsp;
    <input
     data-validation="my_email" 
     data-validation-error-msg-email="<?php echo htmlspecialchars($lang['form_errors_msg']['email_not_valid'], ENT_QUOTES, 'UTF-8'); ?>"
     value="<?php echo $params['email']; ?>"
     name="params[email]"
     id="params_email"
     class="texte"
     type="text" />
    </label>
    </p>
    <?php endif; ?>
</fieldset>

<p><button title="<?php echo $lang['label_button_record']; ?>" type="submit"><?php echo $lang['label_button_record']; ?></button></p>
<p><a href="#nav_page"><?php echo $lang['return_to_nav_menu']; ?></a></p>

<?php foreach($params as $key => $value) : ?>
<?php if (preg_match('`^([a-z]+)_manage$`', $key, $matches) && ($section = $matches[1])) : ?>
<fieldset class="primary category" id="params_<?php echo $section; ?>">
    <legend><?php echo ucfirst($lang[$section]); ?></legend>
    <p>
    <span title="<?php echo ucfirst(sprintf($lang['access_to_the_%s'], $lang[$section])); ?>"><?php echo ucfirst(sprintf($lang['access_to_the_%s'], $lang[$section])); ?>&nbsp;:&nbsp;</span>
    <input value="1" name="params[<?php echo $section.'_manage'; ?>]" id="params_<?php echo $section.'_manage'; ?>_1" type="radio"<?php echo !empty($params[$section.'_manage']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section.'_manage'; ?>_1"><?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <input value="0" name="params[<?php echo $section.'_manage'; ?>]" id="params_<?php echo $section.'_manage'; ?>_0" type="radio"<?php echo empty($params[$section.'_manage']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section.'_manage'; ?>_0"><?php echo ucfirst($lang['no']); ?></label>
    </p>
    <?php if (isset($params[$section.'_add']) OR isset($params[$section.'_edit']) OR
              isset($params[$section.'_act']) OR isset($params[$section.'_del'])) : ?>
    <fieldset class="secondary rights">
        <legend data-check-all="<?php echo ucfirst($lang['check_all']); ?>" data-uncheck-all="<?php echo ucfirst($lang['uncheck_all']); ?>"><?php echo ucfirst(sprintf($lang['rights_of_the_%s'], $lang[$section])); ?></legend>
        <?php foreach(array('add', 'edit', 'act', 'del') as $right) : ?>        
        
            <?php if (isset($params[$section.'_'.$right])) : ?>
            <p>
            <input value="1" name="params[<?php echo $section.'_'.$right; ?>]" id="params_<?php echo $section.'_'.$right; ?>" type="checkbox"<?php echo !empty($params[$section.'_'.$right]) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo $lang[$right]; ?>" for="params_<?php echo $section.'_'.$right; ?>"><?php echo $lang[$right]; ?></label>
            </p>
            <?php endif; ?>
            
        <?php endforeach; ?>    
    </fieldset>
    <?php endif; ?>
    <?php if (isset($params[$section.'_cats_manage'])) : // Catégories ?>
    <fieldset class="secondary category">
            <legend><?php echo ucfirst(sprintf($lang['manage_categories_of_the_section_%s'], $lang[$section])); ?></legend><p>
            <input value="1" name="params[<?php echo $section.'_cats_manage'; ?>]" id="params_<?php echo $section; ?>_cats_manage_1" type="radio"<?php echo ($params[$section.'_cats_manage'] == 1) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo $lang['manage_all_categories']; ?>" for="params_<?php echo $section; ?>_cats_manage_1"><?php echo ucfirst($lang['manage_all_categories']); ?></label>
            </p>
            <p>
            <input value="0" name="params[<?php echo $section.'_cats_manage'; ?>]" id="params_<?php echo $section; ?>_cats_manage_0" type="radio"<?php echo empty($params[$section.'_cats_manage']) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo $lang['manage_no_category']; ?>" for="params_<?php echo $section; ?>_cats_manage_0"><?php echo ucfirst($lang['manage_no_category']); ?></label>
            </p>
            <p>
            <fieldset class="secondary category">
            <legend>
            <input value="2" name="params[<?php echo $section.'_cats_manage'; ?>]" id="params_<?php echo $section; ?>_cats_manage_2" type="radio"<?php echo ($params[$section.'_cats_manage'] == 2) ? 'checked="checked"' : ''; ?> />
            <label title="<?php echo $lang['manage_following_categories']; ?>&nbsp;:&nbsp;" for="params_<?php echo $section; ?>_cats_manage_2"><?php echo ucfirst($lang['manage_following_categories']); ?>&nbsp;:&nbsp;</label>            
            </legend>
            <?php foreach($config['lang'] as $key => $lng) : ?>
            <?php if (!empty($lng)) : ?>
                <fieldset class="secondary category">
                <legend><?php echo ucfirst($lang['categories'].'&nbsp;'.$lng); ?></legend>
                <p>
                <label><?php echo ucfirst($lang['select_categories']); ?>&nbsp;:&nbsp;
                <select name="params[<?php echo $section.'_cats_list_allowed'; ?>][<?php echo $key; ?>][]" id="params_<?php echo $section.'_cats_list_allowed'.$key; ?>" multiple="multiple" size="4">
                <?php if (empty($cats[$section][$key])) : ?>
                <option value="" selected="selected">(vide)</option>
                <?php endif; ?>
                <?php foreach($cats[$section][$key] as $cat) : ?>
                <option value="<?php echo htmlspecialchars($cat); ?>"<?php echo in_array($cat, (array) $params[$section.'_cats_list_allowed'][$key]) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($cat); ?></option>
                <?php endforeach; ?>
                </select>
                </label>
                </p>
                <p>
                <label><?php echo ucfirst($lang['add_new_categories']); ?>&nbsp;:&nbsp;
                <input class="texte cats_extra" title="<?php echo ucfirst(sprintf($lang['use_separator_%s_for_adding_several_categories'], CONNECTOR)); ?>" value="<?php echo !empty($params[$section.'_cats_extra'][$key])? $params[$section.'_cats_extra'][$key] : ''; ?>" name="params[<?php echo $section.'_cats_extra'; ?>][<?php echo $key; ?>]" id="<?php echo $section.'_cats_extra'.$key; ?>" type="text" />
                </label>
                </p>
                </fieldset>
            <?php endif; ?>
            <?php endforeach; ?>
            </fieldset>
            </p>
    </fieldset>
    <?php elseif (isset($params[$section.'_dirs_manage'])) : // Répertoires ?>
    <fieldset class="secondary directory">
        <legend><?php echo ucfirst(sprintf($lang['manage_directories_of_the_section_%s'], $lang[$section])); ?></legend>
        <p>
        <input value="1" name="params[<?php echo $section.'_dirs_manage'; ?>]" id="params_<?php echo $section; ?>_dirs_manage_1" type="radio"<?php echo ($params[$section.'_dirs_manage'] == 1) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['manage_all_directories']; ?>" for="params_<?php echo $section; ?>_dirs_manage_1"><?php echo ucfirst($lang['manage_all_directories']); ?></label>
        </p>
        <p>
        <input value="2" name="params[<?php echo $section.'_dirs_manage'; ?>]" id="params_<?php echo $section; ?>_dirs_manage_2" type="radio"<?php echo ($params[$section.'_dirs_manage'] == 2) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['manage_following_directories']; ?>&nbsp;:&nbsp;" for="params_<?php echo $section; ?>_dirs_manage_2"><?php echo ucfirst($lang['manage_following_directories']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section.'_dirs_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_dirs_list_allowed" multiple="multiple" size="4">
        <?php if (empty($dirs)) : ?>
        <option value="" selected="selected">(vide)</option>
        <?php endif; ?>
        <?php foreach($dirs as $dir => $subdirs) : ?>
        <optgroup label="<?php echo $dir; ?>">
            <option value="<?php echo $dir; ?>" <?php echo in_array($dir, $params[$section.'_dirs_list_allowed']) ? 'selected="selected"' : ''; ?>><?php echo $dir; ?></option>        
            <?php foreach($subdirs as $subdir) : ?>
            <option value="<?php echo $dir.'/'.$subdir; ?>" <?php echo in_array($dir.'/'.$subdir, $params[$section.'_dirs_list_allowed']) ? 'selected="selected"' : ''; ?>><?php echo $dir.'/'.$subdir; ?></option>
            <?php endforeach; ?>
        </optgroup>
        <?php endforeach; ?>			
        </select>
        </p>
        <fieldset class="third directories rights">
            <legend data-check-all="<?php echo ucfirst($lang['check_all']); ?>" data-uncheck-all="<?php echo ucfirst($lang['uncheck_all']); ?>"><?php echo ucfirst($lang['rights']); ?></legend> 
            <?php foreach(array('create_%s' => 'add', 'rename_%s' => 'edit', 'delete_%s' => 'del') as $label_right => $right) : ?>
                <?php if (isset($params[$section.'_dirs_'.$right])) : ?>
                <p>
                <input value="1" name="params[<?php echo $section.'_dirs_'.$right; ?>]" id="params_<?php echo $section.'_dirs_'.$right; ?>" type="checkbox"<?php echo !empty($params[$section.'_dirs_'.$right]) ? ' checked="checked"' : ''; ?> />
                <label title="<?php echo ucfirst(sprintf($lang[$label_right], $lang['subdirectories'])); ?>" for="params_<?php echo $section.'_dirs_'.$right; ?>"><?php echo ucfirst(sprintf($lang[$label_right], $lang['subdirectories'])); ?></label>
                </p>
                <?php endif; ?> 
            <?php endforeach; ?>
        </fieldset>   
    </fieldset>
    <?php endif; ?>
    <?php if (isset($params[$section.'_boxes_manage'])) : // Boites de menus ?>
    <fieldset class="secondary boxmenus">
        <legend><?php echo ucfirst(sprintf($lang['manage_boxes_menus_of_the_section_%s'], $lang[$section])); ?></legend>
        <p>
        <input value="1" name="params[<?php echo $section.'_boxes_manage'; ?>]" id="params_<?php echo $section; ?>_boxes_manage_1" type="radio"<?php echo ($params[$section.'_boxes_manage'] == 1) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_all_boxes_menus']; ?>" for="params_<?php echo $section; ?>_boxes_manage_1"><?php echo ucfirst($lang['access_all_boxes_menus']); ?></label>
        </p>
        <p>
        <input value="3" name="params[<?php echo $section.'_boxes_manage'; ?>]" id="params_<?php echo $section; ?>_boxes_manage_3" type="radio"<?php echo ($params[$section.'_boxes_manage'] == 3) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_only_writer_box_menus']; ?>" for="params_<?php echo $section; ?>_boxes_manage_3"><?php echo ucfirst($lang['access_only_writer_box_menus']); ?></label>
        </p>
   <!--     <p>
        <input value="0" name="params[<?php echo $section.'_boxes_manage'; ?>]" id="params_<?php echo $section; ?>_boxes_manage_0" type="radio"<?php echo empty($params[$section.'_boxes_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_no_box_menus']; ?>" for="params_<?php echo $section; ?>_boxes_manage_0"><?php echo ucfirst($lang['access_no_box_menus']); ?></label>
        </p>-->
        <p>
        <input value="2" name="params[<?php echo $section.'_boxes_manage'; ?>]" id="params_<?php echo $section; ?>_boxes_manage_2" type="radio"<?php echo ($params[$section.'_boxes_manage'] == 2) ? 'checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_following_boxes_menus']; ?>" for="params_<?php echo $section; ?>_boxes_manage_2"><?php echo ucfirst($lang['access_following_boxes_menus']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section.'_boxes_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_boxes_list_allowed" multiple="multiple" size="4">
        <?php if (empty($boxmenus)) : ?>
        <option value="" selected="selected">(<?php echo $lang['none']; ?>)</option>
        <?php endif; ?>
        <?php foreach($boxmenus as $boxmenu) : ?>
        <option value="<?php echo $boxmenu['id']; ?>"<?php echo in_array($boxmenu['id'], $params[$section.'_boxes_list_allowed']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($boxmenu['title']); ?></option>
        <?php endforeach; ?>
        </select>
        </p>
    </fieldset>
    <?php endif; ?>
    <?php if (isset($params[$section.'_photoramas_manage'])) : // Galeries photos ?>
    <fieldset class="secondary photoramas">
        <legend><?php echo ucfirst(sprintf($lang['manage_photoramas_of_the_section_%s'], $lang[$section])); ?></legend>
        <p>
        <input value="1" name="params[<?php echo $section.'_photoramas_manage'; ?>]" id="params_<?php echo $section; ?>_photoramas_manage_1" type="radio"<?php echo ($params[$section.'_photoramas_manage'] == 1) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_all_photoramas']; ?>" for="params_<?php echo $section; ?>_photoramas_manage_1"><?php echo ucfirst($lang['access_all_photoramas']); ?></label>
        </p>
        <p>
        <input value="3" name="params[<?php echo $section.'_photoramas_manage'; ?>]" id="params_<?php echo $section; ?>_photoramas_manage_3" type="radio"<?php echo ($params[$section.'_photoramas_manage'] == 3) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_only_writer_photoramas']; ?>" for="params_<?php echo $section; ?>_photoramas_manage_3"><?php echo ucfirst($lang['access_only_writer_photoramas']); ?></label>
        </p>
   <!--     <p>
        <input value="0" name="params[<?php echo $section.'_photoramas_manage'; ?>]" id="params_<?php echo $section; ?>_photoramas_manage_0" type="radio"<?php echo empty($params[$section.'_photoramas_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_no_photoramas']; ?>" for="params_<?php echo $section; ?>_photoramas_manage_0"><?php echo ucfirst($lang['access_no_photoramas']); ?></label>
        </p>-->
        <p>
        <input value="2" name="params[<?php echo $section.'_photoramas_manage'; ?>]" id="params_<?php echo $section; ?>_photoramas_manage_2" type="radio"<?php echo ($params[$section.'_photoramas_manage'] == 2) ? 'checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_following_photoramas']; ?>" for="params_<?php echo $section; ?>_photoramas_manage_2"><?php echo ucfirst($lang['access_following_photoramas']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section.'_photoramas_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_photoramas_list_allowed" multiple="multiple" size="4">
        <?php if (empty($photoramas)) : ?>
        <option value="" selected="selected">(<?php echo $lang['none']; ?>)</option>
        <?php endif; ?>
        <?php foreach($photoramas as $photorama) : ?>
        <option value="<?php echo $photorama['id']; ?>"<?php echo in_array($photorama['id'], $params[$section.'_photoramas_list_allowed']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($photorama['id'].' : '.$photorama['cat'].' - '.$photorama['title']); ?></option>
        <?php endforeach; ?>
        </select>
        </p>
    </fieldset>
    <?php endif; ?>
    <?php if (isset($params[$section.'_templates_manage'])) : // Gabarits de page ?>
    <fieldset class="secondary boxmenus">
        <legend><?php echo ucfirst(sprintf($lang['manage_page_templates_of_the_section_%s'], $lang[$section])); ?></legend>
        <p>
        <input value="1" name="params[<?php echo $section.'_templates_manage'; ?>]" id="params_<?php echo $section; ?>_templates_manage_1" type="radio"<?php echo ($params[$section.'_templates_manage'] == 1) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_all_page_templates']; ?>" for="params_<?php echo $section; ?>_templates_manage_1"><?php echo ucfirst($lang['access_all_page_templates']); ?></label>
        </p>
        <p>
        <input value="0" name="params[<?php echo $section.'_templates_manage'; ?>]" id="params_<?php echo $section; ?>_templates_manage_0" type="radio"<?php echo empty($params[$section.'_templates_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_no_page_templates']; ?>" for="params_<?php echo $section; ?>_templates_manage_0"><?php echo ucfirst($lang['access_no_page_templates']); ?></label>
        </p>
        <p>
        <input value="2" name="params[<?php echo $section.'_templates_manage'; ?>]" id="params_<?php echo $section; ?>_templates_manage_2" type="radio"<?php echo ($params[$section.'_templates_manage'] == 2) ? 'checked="checked"' : ''; ?> />
        <label title="<?php echo $lang['access_following_page_templates']; ?>" for="params_<?php echo $section; ?>_templates_manage_2"><?php echo ucfirst($lang['access_following_page_templates']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section.'_templates_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_templates_list_allowed" multiple="multiple" size="4">
        <?php foreach($templates as $template) : ?>
        <option value="<?php echo $template['id']; ?>"<?php echo in_array($template['id'], $params[$section.'_templates_list_allowed']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($template['name']); ?></option>
        <?php endforeach; ?>
        </select>
        </p>
    </fieldset>
    <?php endif; ?>
    <?php if (isset($params[$section.'_to_be_added'])) : // Ajout de documents à gérer ?>
    <fieldset class="secondary docs_to_be_added">
        <legend><?php echo ucfirst($lang['manage_'.$section]); ?></legend>
        <?php if (isset($params[$section.'_to_be_added'])) : ?>
        <p>
        <label title="<?php echo ucfirst($lang['add_'.$section.'_to_be_managed']); ?>" for="params_<?php echo $section; ?>_to_be_added"><?php echo ucfirst($lang['add_'.$section.'_to_be_managed']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section; ?>_to_be_added][]" id="params_<?php echo $section; ?>_to_be_added" multiple="multiple" size="4">
            <?php if (empty($docs_to_be_managed['docs_to_be_added'][$section])) : ?>
            <option value="">(<?php echo $lang['none']; ?>)</option>
            <?php else : ?>
                <?php foreach($docs_to_be_managed['docs_to_be_added'][$section] as $doc_to_be_added) : ?>
                <option value="<?php echo $doc_to_be_added['id']; ?>"><?php echo htmlspecialchars($doc_to_be_added['id'].' : '.$doc_to_be_added['title1']); ?></option>
                <?php endforeach; ?>
            <?php endif; ?>
        </select>
        </p>
        <?php endif; ?>
        <?php if (isset($params[$section.'_to_be_removed'])) : // Suppression de documents à gérer ?>
        <p>
        <label title="<?php echo ucfirst($lang['remove_'.$section.'_to_be_managed']); ?>" for="params_<?php echo $section; ?>_to_be_removed"><?php echo ucfirst($lang['remove_'.$section.'_to_be_managed']); ?>&nbsp;:&nbsp;</label>
        <select name="params[<?php echo $section; ?>_to_be_removed][]" id="params_<?php echo $section; ?>_to_be_removed" multiple="multiple" size="4">
            <?php if (empty($docs_to_be_managed['docs_to_be_removed'][$section])) : ?>
            <option value="">(<?php echo $lang['none']; ?>)</option>
            <?php else : ?>
                <?php foreach($docs_to_be_managed['docs_to_be_removed'][$section] as $doc_to_be_removed) : ?>
                <option value="<?php echo $doc_to_be_removed['id']; ?>"><?php echo htmlspecialchars($doc_to_be_removed['id'].' : '.$doc_to_be_removed['title1']); ?></option>
                <?php endforeach; ?>
            <?php endif; ?>
        </select>
        </p>
        <?php endif; ?>
    </fieldset>
    <?php endif; ?>
    <?php if (isset($params[$section.'_status_manage']) || isset($params[$section.'_private_group_manage']) || isset($params[$section.'_send_email'])
              || isset($params[$section.'_display_manage']) || isset($params[$section.'_positions_manage'])) : // Options ?>
    <fieldset class="secondary options">
        <legend data-check-all="<?php echo ucfirst($lang['allowed_all']); ?>" data-uncheck-all="<?php echo ucfirst($lang['forbidden_all']); ?>"><?php echo ucfirst($lang['options']); ?></legend>
        <?php if (isset($params[$section.'_publication_manage'])) : // Gestion des dates de publication du document ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_doc_publication_dates']); ?>"><?php echo ucfirst($lang['manage_doc_publication_dates']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_publication_manage]" id="params_<?php echo $section; ?>_publication_manage_1" type="radio"<?php echo !empty($params[$section.'_publication_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_publication_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_publication_manage]" id="params_<?php echo $section; ?>_publication_manage_0" type="radio"<?php echo empty($params[$section.'_publication_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_publication_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>
        <?php endif; ?>
        
        <?php if (isset($params[$section.'_moddate_manage'])) : // // Gestion de la date de modification du document ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_doc_modif_date']); ?>"><?php echo ucfirst($lang['manage_doc_modif_date']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_moddate_manage]" id="params_<?php echo $section; ?>_moddate_manage_1" type="radio"<?php echo !empty($params[$section.'_moddate_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_moddate_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_moddate_manage]" id="params_<?php echo $section; ?>_moddate_manage_0" type="radio"<?php echo empty($params[$section.'_moddate_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_moddate_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>

        <?php if (isset($params[$section.'_private_group_manage'])) : // Gestion des groupes privés ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_access_to_private_group']); ?>"><?php echo ucfirst($lang['manage_access_to_private_group']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_private_group_manage]" id="params_<?php echo $section; ?>_private_group_manage_1" type="radio"<?php echo !empty($params[$section.'_private_group_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_private_group_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_private_group_manage]" id="params_<?php echo $section; ?>_private_group_manage_0" type="radio"<?php echo empty($params[$section.'_private_group_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_private_group_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>
        <?php endif; ?>      
        <?php if (isset($params[$section.'_display_manage'])) : // Gestion de l'affichage des boites ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_boxes_display']); ?>"><?php echo ucfirst($lang['manage_boxes_display']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_display_manage]" id="params_<?php echo $section; ?>_display_manage_1" type="radio"<?php echo !empty($params[$section.'_display_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_display_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_display_manage]" id="params_<?php echo $section; ?>_display_manage_0" type="radio"<?php echo empty($params[$section.'_display_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_display_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>        
        <?php if (isset($params[$section.'_type_manage'])) : // // Gestion du type de boite de menu ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_boxes_type']); ?>"><?php echo ucfirst($lang['manage_boxes_type']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_type_manage]" id="params_<?php echo $section; ?>_type_manage_1" type="radio"<?php echo !empty($params[$section.'_type_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_type_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_type_manage]" id="params_<?php echo $section; ?>_type_manage_0" type="radio"<?php echo empty($params[$section.'_type_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_type_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>
        <?php if (isset($params[$section.'_positions_manage'])) : // // Gestion de la position des boites ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_boxes_position']); ?>"><?php echo ucfirst($lang['manage_boxes_position']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_positions_manage]" id="params_<?php echo $section; ?>_positions_manage_1" type="radio"<?php echo !empty($params[$section.'_positions_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_positions_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_positions_manage]" id="params_<?php echo $section; ?>_positions_manage_0" type="radio"<?php echo empty($params[$section.'_positions_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_positions_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>
        <?php if (isset($params[$section.'_sidebars_manage'])) : // // Gestion de l'affichage des colonnes latérales ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_sidebars_display']); ?>"><?php echo ucfirst($lang['manage_sidebars_display']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_sidebars_manage]" id="params_<?php echo $section; ?>_sidebars_manage_1" type="radio"<?php echo !empty($params[$section.'_sidebars_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_sidebars_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_sidebars_manage]" id="params_<?php echo $section; ?>_sidebars_manage_0" type="radio"<?php echo empty($params[$section.'_sidebars_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_sidebars_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>
        <?php if (isset($params[$section.'_icon_manage'])) : // // Gestion de l'icone du document ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_doc_icon']); ?>"><?php echo ucfirst($lang['manage_doc_icon']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_icon_manage]" id="params_<?php echo $section; ?>_icon_manage_1" type="radio"<?php echo !empty($params[$section.'_icon_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_icon_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_icon_manage]" id="params_<?php echo $section; ?>_icon_manage_0" type="radio"<?php echo empty($params[$section.'_icon_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_icon_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>
        <?php if (isset($params[$section.'_licence_manage'])) : // // Gestion de la licence du document ?>      
        <p>
        <span title="<?php echo ucfirst($lang['manage_doc_licence']); ?>"><?php echo ucfirst($lang['manage_doc_licence']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_licence_manage]" id="params_<?php echo $section; ?>_licence_manage_1" type="radio"<?php echo !empty($params[$section.'_licence_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_licence_manage_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_licence_manage]" id="params_<?php echo $section; ?>_licence_manage_0" type="radio"<?php echo empty($params[$section.'_licence_manage']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_licence_manage_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>        
        <?php endif; ?>

        <?php if (isset($params[$section.'_send_email'])) : // Envoi d'un email à l'administrateur ?>      
        <p>
        <span title="<?php echo ucfirst($lang['send_email_to_administrator']); ?>"><?php echo ucfirst($lang['send_email_to_administrator']); ?>&nbsp;:&nbsp;</span>
        <input value="1" name="params[<?php echo $section; ?>_send_email]" id="params_<?php echo $section; ?>_send_email_1" type="radio"<?php echo !empty($params[$section.'_send_email']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['yes']); ?>" for="params_<?php echo $section; ?>_send_email_1"><?php echo ucfirst($lang['yes']); ?></label>
        <span>&nbsp;&nbsp;</span>
        <input value="0" name="params[<?php echo $section; ?>_send_email]" id="params_<?php echo $section; ?>_send_email_0" type="radio"<?php echo empty($params[$section.'_send_email']) ? ' checked="checked"' : ''; ?> />
        <label title="<?php echo ucfirst($lang['no']); ?>" for="params_<?php echo $section; ?>_send_email_0"><?php echo ucfirst($lang['no']); ?></label>
        </p>
        <?php endif; ?>
    </fieldset>
    <?php endif; ?>
    <?php // Ajout de paramètres supplémentaires pour une section
    if (is_file(ADMR_VIEWS_PATH.'/fragments/add_params_for_'.$section.'_rights_view.php')) :
        include 'fragments/add_params_for_'.$section.'_rights_view.php';
    endif; ?>
    <?php // Ajout de paramètres supplémentaires pour un ADDON
    if (is_file(ADMR_ADDONS_PATH.'/'.$section.'/views/fragments/add_params_for_'.$section.'_rights_view.php')) :
        include ADMR_ADDONS_PATH.'/'.$section.'/views/fragments/add_params_for_'.$section.'_rights_view.php';
    endif; ?>
</fieldset>
<p><button title="<?php echo $lang['label_button_record']; ?>" type="submit"><?php echo $lang['label_button_record']; ?></button></p>
<p><a href="#nav_page"><?php echo $lang['return_to_nav_menu']; ?></a></p>
<?php endif; ?>
<?php endforeach; ?>
<p class="submit_bottom"><button title="<?php echo $lang['label_button_record']; ?>" type="submit"><?php echo $lang['label_button_record']; ?></button></p>
<p><a href="#nav_page"><?php echo $lang['return_to_nav_menu']; ?></a></p>

</form>