<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<?php if (!empty($message)) : ?>
<h4 id="ADMR_block_confirm" class="ADMR_title"><?php echo ucfirst($lang['heading_confirm_recording']); ?>&nbsp;:</h4>
<div class="confirm_recording_success">
<p><strong><?php echo ucfirst($message); ?></strong></p>
</div>
<?php endif; ?>
<h4><?php echo ucfirst($lang['form_control_of_integrity_of_the_data_of_the_plugin']); ?></h4>
<?php include 'fragments/add_block_waiting_process_view.php'; ?>
<!-- rédacteurs -->
<form class="form_check_data_integrity writer waiting_process" action="<?php echo $form_uri; ?>" method="post">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="action" value="writer" />
<fieldset>
<legend><?php echo ucfirst($lang['rights_of_writers']); ?></legend>
<p>
<label><input type="radio" name="choice" value="1"<?php echo ($action == 'writer' && $choice === '1') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_all_%s'], $lang['writers'])); ?></label>
</p>
<p>
<label><input type="radio" name="choice" value="2"<?php echo ($action != 'writer' || empty($choice) || $choice === '2') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_only_%s'], $lang['writers'])); ?>&nbsp;:&nbsp;</label>
<select name="ids[]" size="5" multiple="multiple">
<?php reset($writers); ?>
<?php $writer = current($writers); ?>
<option value="<?php echo $writer['id']; ?>"<?php echo ($action != 'writer' || empty($ids) || in_array($writer['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $writer['name'] ?></option>
<?php next($writers); ?>
<?php while (list($key, $writer) = each($writers)) : ?>
<option value="<?php echo $writer['id']; ?>"<?php echo ($action == 'writer' && in_array($writer['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $writer['name'] ?></option>
<?php endwhile; ?>
</select>
</p>
<p><button id="submit_for_writers" type="submit" name="send"><?php echo ucfirst(sprintf($lang['execute_control_of_integrity_for_%s'], $lang['rights_of_writers'])); ?></button></p>
</fieldset>
</form>
<!-- groupes rédacteurs -->
<form class="form_check_data_integrity group waiting_process" data-loader-img="<?php echo ADMR_IMG_PATH.'/ajax-loader.gif'; ?>" data-loader-msg="<?php echo ucfirst($lang['please_wait']); ?>" action="<?php echo $form_uri; ?>" method="post">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="action" value="group" />
<fieldset>
<legend><?php echo ucfirst($lang['rights_of_groups']); ?></legend>
<p>
<label><input type="radio" name="choice" value="1"<?php echo ($action == 'group' && $choice === '1') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_all_%s'], $lang['groups'])); ?></label>
</p>
<p>
<label><input type="radio" name="choice" value="2"<?php echo ($action != 'group' || empty($choice) || $choice === '2') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_only_%s'], $lang['groups'])); ?>&nbsp;:&nbsp;</label>
<select name="ids[]" size="5" multiple="multiple">
<?php reset($groups); ?>
<?php $group = current($groups); ?>
<option value="<?php echo $group['id']; ?>"<?php echo ($action != 'group' || empty($ids) || in_array($group['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $group['name'] ?></option>
<?php next($groups); ?>
<?php while (list($key, $group) = each($groups)) : ?>
<option value="<?php echo $group['id']; ?>"<?php echo ($action == 'group' && in_array($group['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $group['name'] ?></option>
<?php endwhile; ?>
</select>
</p>
<p><button type="submit" name="send"><?php echo ucfirst(sprintf($lang['execute_control_of_integrity_for_%s'], $lang['rights_of_groups'])); ?></button></p>
</fieldset>
</form>
<!-- documents des rédacteurs -->
<form class="form_check_data_integrity writer_docs waiting_process" data-loader-img="<?php echo ADMR_IMG_PATH.'/ajax-loader.gif'; ?>" data-loader-msg="<?php echo ucfirst($lang['please_wait']); ?>" action="<?php echo $form_uri; ?>" method="post">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="action" value="writer_docs" />
<fieldset>
<legend><?php echo ucfirst($lang['docs_of_writers']); ?></legend>
<p>
<label><input type="radio" name="choice" value="1"<?php echo ($action == 'writer_docs' && $choice === '1') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_all_%s'], $lang['writers'])); ?></label>
</p>
<p>
<label><input type="radio" name="choice" value="2"<?php echo ($action != 'writer_docs' || empty($choice) || $choice === '2') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_only_%s'], $lang['writers'])); ?>&nbsp;:&nbsp;</label>
<select name="ids[]" size="5" multiple="multiple">
<?php reset($writers); ?>
<?php $writer = current($writers); ?>
<option value="<?php echo $writer['id']; ?>"<?php echo ($action != 'writer_docs' || empty($ids) || in_array($writer['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $writer['name'] ?></option>
<?php next($writers); ?>
<?php while (list($key, $writer) = each($writers)) : ?>
<option value="<?php echo $writer['id']; ?>"<?php echo ($action == 'writer_docs' && in_array($writer['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $writer['name'] ?></option>
<?php endwhile; ?>
</select>
</p>
<p><button type="submit" name="send"><?php echo ucfirst(sprintf($lang['execute_control_of_integrity_for_%s'], $lang['docs_of_writers'])); ?></button></p>
</fieldset>
</form>