<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<?php if ($is_allowed_upload_file) : // Upload de fichiers ?>
    <?php if (empty($errors['upload'])) : // Succès de l'upload de fichiers ?>
        <form class="popup-content" data-width="450" data-height="110" name="upload_files" enctype="multipart/form-data" action="<?php echo $form_uri; ?>/upload" method="post">
            <input type="hidden" name="dir_path" value="<?php echo $dir_path; ?>" />
            <input type="hidden" name="type" value="<?php echo $type; ?>" />
            <input type="hidden" name="target" value="<?php echo $target; ?>" />
            <input type="hidden" name="CKEditorFuncNum" value="<?php echo $CKEditorFuncNum; ?>" />
            <input type="hidden" name="addon" value="<?php echo $addon; ?>" />
            <?php if (!empty($max_file_size)) : ?>
            <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_file_size; ?>" />
            <?php endif; ?>
            <fieldset>
            <legend>
            <img src="<?php echo ADMR_IMG_UPLOAD; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['upload_files']); ?>" /><?php echo ucfirst($lang['upload_files']); ?>
            </legend>
            <p>
            <input 
             data-validation="required"
             data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['upload_error_file_is_required'], ENT_QUOTES, 'UTF-8'); ?>"     
             type="file" 
             name="userfiles[]" 
             multiple="multiple" />
            <input class="bouton" type="submit" value="<?php echo ucfirst($lang['label_button']['send']); ?>" />
            </p>
            </fieldset>  
        </form>
    <?php else : // Echec de l'upload des fichiers ?>
        <div class="popup-content">
        <p><?php echo (count($errors['upload']) > 1) ? ucfirst($lang['errors_msg']['errors_occured_during_uploading_files']) : ucfirst($lang['errors_msg']['error_occured_during_uploading_files']); ?>&nbsp;:</p>
        <ul>
            <?php foreach($errors['upload'] as $key => $msg) : ?>
            <li>Fichier &quot;<?php echo $key; ?>&quot;&nbsp;:&nbsp;<?php echo $msg; ?></li>
            <?php endforeach; ?>
        </ul>
        <p><?php echo ucfirst($lang['please_click_on_button_to_return']); ?></p>
        <p class="btn_return"><a href="<?php echo $uri_redirect; ?>"><button class="bouton"><?php echo ucfirst($lang['label_button']['return']); ?></button></a></p>
        </div>
    <?php endif; ?>
<?php endif; ?>