<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<!--[if lte IE 7]> <div class="ie67 ie678"> <![endif]-->
<!--[if IE 8]> <div class="ie8 ie678"> <![endif]-->
<!--[if IE 9]> <div class="ie9 ie6789"> <![endif]-->
<h4 class="files management"><?php echo $lang['heading_form_files_management']; ?>&nbsp;:&nbsp;</h4>
<div class="dirs_wrapper">
    <form id="dir_path" name="change_dir" action="<?php echo $form_uri.'#dir_contents'; ?>" method="post">
        <input type="hidden" name="type" value="<?php echo $type; ?>" />
        <input type="hidden" name="target" value="<?php echo $target; ?>" />
        <input type="hidden" name="addon" value="<?php echo $addon; ?>" />
        <fieldset>
            <legend>
            <img src="<?php echo ADMR_IMG_DIRECTORY; ?>" width="17" height="17" alt="<?php echo ucfirst($lang['directory']); ?>" /><?php echo ucfirst($lang['select_directory']); ?>
            </legend>
            <p>
            <label>
            <?php echo ucfirst($lang['directory_selected']); ?>&nbsp;: 
            <select name="dir_path" data-title="<?php echo ucfirst($lang['directories']); ?>">
            <?php foreach($dirs as $dir => $subdirs) : ?>
                <optgroup label="<?php echo $dir; ?>">
                <option class="dir-level-0" value="<?php echo $dir; ?>" <?php echo ($dir_path == $dir)? 'selected="selected"' : ''; ?>><?php echo $dir; ?></option>        
                <?php foreach($subdirs as $subdir) : ?>
                <option class="dir-level-<?php echo count(explode('/', $subdir)); ?>" value="<?php echo $dir.'/'.$subdir; ?>" <?php echo ($dir_path == $dir.'/'.$subdir)? 'selected="selected"' : ''; ?>><?php echo $dir.'/'.$subdir; ?></option>
                <?php endforeach; ?>
                </optgroup>
            <?php endforeach; ?>			
            </select>
            </label>
            <input class="bouton" type="submit" value="<?php echo ucfirst($lang['change_directory']); ?>" />
            </p>
        </fieldset>
    </form>
    
    <div id="dir_contents">
        <table>
            <thead>
                <tr class="forum">
                    <th id="fileName" class="fileName"><?php echo ucfirst($lang['files']); ?></th>
                    <th id="fileSize" class="fileSize"><?php echo ucfirst($lang['size']).'&nbsp;('.$lang['kb'].')'; ?></th>
                    <th id="fileAction" class="fileAction"><?php echo ucfirst($lang['actions']); ?></th>
                </tr>              
            </thead>
            <tbody>
            <?php if (!empty($parent_dir)) : ?>
            <tr class="odd">
                <td class="fileName">
                    <a class="imgName" href="<?php echo $base_href_uri.$optional_href_uri; ?>&amp;dir_path=<?php echo $parent_dir; ?>#dir_contents" title="<?php echo ucfirst($lang['open']); ?>">
                    <img class="imgName" src="<?php echo ADMR_IMG_PARENT_DIR; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['open']); ?>" />&nbsp;..
                    </a>
                </td>
                <td class="fileSize">&nbsp;</td>
                <td class="fileAction">
                    <a class="imgName" href="<?php echo $base_href_uri.$optional_href_uri; ?>&amp;dir_path=<?php echo $parent_dir; ?>#dir_contents" title="<?php echo ucfirst($lang['open']); ?>">
                    <img id="view" src="<?php echo ADMR_IMG_EXPLORER; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['open']); ?>" class="imgAction" />
                    </a>
                </td>
            </tr>
            <?php endif; ?>       
            <?php foreach($dir_listing as $key => $file) : ?>
            <tr class="<?php echo ($key%2 == 0) ? 'even' : 'odd'; ?>" id="tr<?php echo $key; ?>">
                <?php if($file['type'] == 'dir') :  // directory ?>
                    <td class="fileName">
                        <a class="imgName" href="<?php echo $base_href_uri.$optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path.'/'.$file['name']; ?>#dir_contents" title="<?php echo ucfirst($lang['open']); ?>">
                        <img src="<?php echo $file['icon']; ?>" width="16" height="16" class="imgName" />&nbsp;<?php echo $file['name']; ?>
                        </a>
                    </td>
                    <td class="fileSize">&nbsp;</td>
                    <td class="fileAction">
                        <a href="<?php echo $base_href_uri.$optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path.'/'.$file['name']; ?>#dir_contents" title="<?php echo ucfirst($lang['open']); ?>">
                        <img id="view<?php echo $key; ?>" src="<?php echo ADMR_IMG_EXPLORER; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['open']); ?>" />
                        </a>
                        <?php if ($is_allowed_rename_dir) : ?>
                        <a class="popup rename" data-width="500" data-height="180" href="<?php echo $base_href_uri; ?>/rename<?php echo $optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path; ?>&amp;old_name=<?php echo urlencode($file['name']); ?>#popup_content" title="<?php echo ucfirst($lang['rename']); ?>">
                        <img id="name<?php echo $key; ?>" src="<?php echo ADMR_IMG_EDIT; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['rename']); ?>" />
                        </a>
                        <?php endif; ?>
                        <?php if ($is_allowed_delete_dir) : ?>
                        <a class="popup delete" data-width="480" data-height="100" href="<?php echo $base_href_uri; ?>/delete<?php echo $optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path; ?>&amp;file_name=<?php echo urlencode($file['name']); ?>#popup_content" title="<?php echo ucfirst($lang['delete']); ?>">
                        <img id="del<?php echo $key; ?>" src="<?php echo ADMR_IMG_REMOVE; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['delete']); ?>" />
                        </a>
                        <?php endif; ?>
                    </td>  
                 <?php else : // file ?>
                    <td class="fileName">
                        <?php if ((isset($allowed_ext) && in_array($file['ext'], $allowed_ext))
                                  || (isset($denied_ext) && !in_array($file['ext'], $denied_ext))) : ?>
                            <a class="filepath" data-target="<?php echo $target; ?>" href="<?php echo ADMR_SITE_URL.$dir_path.'/'.$file['name']; ?>" title="<?php echo ucfirst($lang['open']); ?>">
                            <img src="<?php echo $file['icon']; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['open']); ?>" class="imgName" />&nbsp;<?php echo $file['name']; ?>
                            </a>
                        <?php else : ?>
                            <img src="<?php echo $file['icon']; ?>" width="16" height="16" alt="" class="imgName" />&nbsp;<?php echo $file['name']; ?>                    
                        <?php endif; ?>
                    </td>
                    <td class="fileSize"><?php echo $file['filesize']; ?></td>
                    <td class="fileAction">
                        <a class="popup view" data-width="500" data-height="300"  href="<?php echo $base_href_uri; ?>/preview<?php echo $optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path ?>&amp;file_name=<?php echo urlencode($file['name']); ?>#popup_content" title="<?php echo ucfirst($lang['view']); ?>">
                        <img id="view<?php echo $key; ?>" src="<?php echo ADMR_IMG_LOOK; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['view']); ?>" />
                        </a>
                        <?php if ($is_allowed_rename_file) : ?>
                        <a class="popup rename" data-width="500" data-height="180" href="<?php echo $base_href_uri; ?>/rename<?php echo $optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path; ?>&amp;old_name=<?php echo urlencode($file['name']); ?>#popup_content" title="<?php echo ucfirst($lang['rename']); ?>">
                        <img id="name<?php echo $key; ?>" src="<?php echo ADMR_IMG_EDIT; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['rename']); ?>" />
                        </a>
                        <?php endif; ?>
                        <?php if ($is_allowed_delete_file) : ?>
                        <a class="popup delete" data-width="480" data-height="100" href="<?php echo $base_href_uri; ?>/delete<?php echo $optional_href_uri; ?>&amp;dir_path=<?php echo $dir_path; ?>&amp;file_name=<?php echo urlencode($file['name']); ?>#popup_content" title="<?php echo ucfirst($lang['delete']); ?>">
                        <img id="del<?php echo $key; ?>" src="<?php echo ADMR_IMG_REMOVE; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['delete']); ?>" />
                        </a>
                        <?php endif; ?>
                    </td>  
                 <?php endif; ?>
            </tr>
            <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>

<div id="popup" data-img-close-path="<?php echo CHEMIN.'plugins/adm_redacteurs/assets/img/close_pop.png'; ?>" data-img-close-alt="<?php echo $lang['close']; ?>"></div>

<div id="files_upload">
<?php include 'file_manager_upload_view.php'; // Formulaire pour uploader des fichiers ?>
</div>

<div id="dir_create">
<?php include 'file_manager_create_dir_view.php'; // Formulaire pour créer un répertoire ?>
</div>

<!--[if lte IE 9]> </div> <![endif]-->