<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<fieldset class="secondary category"><?php // Sélection des rédacteurs à gérer ?>
    <legend><?php echo ucfirst($lang['manage_writers']); ?></legend>
    <p>
    <input value="0" name="params[<?php echo $section.'_allowed'; ?>]" id="params_<?php echo $section; ?>_allowed_0" type="radio"<?php echo empty($params[$section.'_allowed']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_no_writer']; ?>" for="params_<?php echo $section; ?>_allowed_0"><?php echo ucfirst($lang['manage_no_writer']); ?></label>
    </p>
    <p>
    <input value="1" name="params[<?php echo $section.'_allowed'; ?>]" id="params_<?php echo $section; ?>_allowed_1" type="radio"<?php echo ($params[$section.'_allowed'] == 1) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_all_writers']; ?>" for="params_<?php echo $section; ?>_allowed_1"><?php echo ucfirst($lang['manage_all_writers']); ?></label>
    </p>
    <p>
    <input value="2" name="params[<?php echo $section.'_allowed'; ?>]" id="params_<?php echo $section; ?>_allowed_2" type="radio"<?php echo ($params[$section.'_allowed'] == 2) ? 'checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_following_writers']; ?>" for="params_<?php echo $section; ?>_allowed_2"><?php echo ucfirst($lang['manage_following_writers']); ?>&nbsp;:&nbsp;</label>
    <select name="params[<?php echo $section.'_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_list_allowed" multiple="multiple" size="4">
    <?php if (empty($writers_to_be_managed)) : ?>
    <option value="" selected="selected">(<?php echo $lang['none']; ?>)</option>
    <?php else : ?>
        <?php foreach($writers_to_be_managed as $writer) : ?>
        <option value="<?php echo $writer['id']; ?>"<?php echo in_array($writer['id'], $params[$section.'_list_allowed']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($writer['name']); ?></option>
        <?php endforeach; ?>
    <?php endif; ?>
    </select>
    </p>
    <p>
    <input value="3" name="params[<?php echo $section.'_allowed'; ?>]" id="params_<?php echo $section; ?>_allowed_3" type="radio"<?php echo ($params[$section.'_allowed'] == 3) ? 'checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_writers_in_following_groups']; ?>" for="params_<?php echo $section; ?>_allowed_3"><?php echo ucfirst($lang['manage_writers_in_following_groups']); ?>&nbsp;:&nbsp;</label>
    <select name="params[<?php echo $section.'_groups_list_allowed'; ?>][]" id="params_<?php echo $section; ?>_groups_list_allowed" multiple="multiple" size="4">
    <?php if (empty($groups)) : ?>
    <option value="" selected="selected">(<?php echo $lang['none']; ?>)</option>
    <?php else : ?>
        <?php foreach($groups as $group) : ?>
        <option value="<?php echo $group['id']; ?>"<?php echo in_array($group['id'], $params[$section.'_groups_list_allowed']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($group['name']); ?></option>
        <?php endforeach; ?>
    <?php endif; ?>
    </select>
    </p>
</fieldset>
<fieldset class="secondary category"> <?php // Sélection des documents des rédacteurs à gérer ?>
    <legend><?php echo ucfirst($lang['manage_docs_created_by_writer']); ?></legend>
    <p>
    <input value="0" name="params[<?php echo $section.'_docs_manage'; ?>]" id="params_<?php echo $section; ?>_docs_manage_0" type="radio"<?php echo empty($params[$section.'_docs_manage']) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_no_doc']; ?>" for="params_<?php echo $section; ?>_docs_manage_0"><?php echo ucfirst($lang['manage_no_doc']); ?></label>
    </p>
    <p>
    <input value="1" name="params[<?php echo $section.'_docs_manage'; ?>]" id="params_<?php echo $section; ?>_docs_manage_1" type="radio"<?php echo ($params[$section.'_docs_manage'] == 1) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_all_docs']; ?>" for="params_<?php echo $section; ?>_docs_manage_1"><?php echo ucfirst($lang['manage_all_docs']); ?></label>
    </p>
    <p>
    <input value="2" name="params[<?php echo $section.'_docs_manage'; ?>]" id="params_<?php echo $section; ?>_docs_manage_2" type="radio"<?php echo ($params[$section.'_docs_manage'] == 2) ? 'checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_following_docs']; ?>" for="params_<?php echo $section; ?>_docs_manage_2"><?php echo ucfirst($lang['manage_following_docs']); ?>&nbsp;:&nbsp;</label>
    <select name="params[<?php echo $section.'_docs_types_allowed'; ?>][]" id="params_<?php echo $section; ?>_docs_types_allowed" multiple="multiple" size="4">
    <?php if (empty($doc_types)) : ?>
    <option value="" selected="selected">(<?php echo $lang['none']; ?>)</option>
    <?php else : ?>
        <?php foreach($doc_types as $doc_type) : ?>
        <option value="<?php echo $doc_type['type']; ?>"<?php echo in_array($doc_type['type'], $params[$section.'_docs_types_allowed']) ? ' selected="selected"' : ''; ?>><?php echo $lang[$doc_type['name']]; ?></option>
        <?php endforeach; ?>
    <?php endif; ?>
    </select>
    </p>
    <fieldset class="third category rights">
        <legend data-check-all="<?php echo ucfirst($lang['check_all']); ?>" data-uncheck-all="<?php echo ucfirst($lang['uncheck_all']); ?>"><?php echo ucfirst($lang['rights']); ?></legend>       
        <?php foreach(array('add', 'edit', 'act', 'del') as $right) : ?>        
        
            <?php if (isset($params[$section.'_docs_'.$right])) : ?>
            <p>
            <input value="1" name="params[<?php echo $section.'_docs_'.$right; ?>]" id="params_<?php echo $section.'_docs_'.$right; ?>" type="checkbox"<?php echo !empty($params[$section.'_docs_'.$right]) ? ' checked="checked"' : ''; ?> />
            <label title="<?php echo $lang[$right]; ?>" for="params_<?php echo $section.'_docs_'.$right; ?>"><?php echo $lang[$right]; ?></label>
            </p>
            <?php endif; ?>
            
        <?php endforeach; ?>    
    </fieldset>            
</fieldset>  
