<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<form id="f_writer_filters" class="data_filtering form" action="<?php echo $form_uri; ?>#f_writer_filters" method="post" data-menu-icon-label="<?php echo ucfirst($lang['search_writers']); ?>" data-lang="<?php echo $lang_for_js; ?>">
<input type="hidden" name="sort" value="<?php echo $sort; ?>" />
<fieldset class="secondary category">
    <legend><?php echo ucfirst($lang['select_writers_to_manage']); ?></legend><p>
    <input value="0" name="filter" id="filter_0" type="radio"<?php echo (empty($writerid) && empty($groupid)) ? ' checked="checked"' : ''; ?> data-lang="<?php echo $lang_for_js; ?>" />
    <label title="<?php echo $lang['manage_all_writers']; ?>" for="filter_0"><?php echo ucfirst($lang['manage_all_writers']); ?></label>
    <input class="bouton" type="submit" name="search" value="<?php echo ucfirst($lang['label_button_display']); ?>" />
    </p>
    <p>
    <input value="1" name="filter" id="filter_1" type="radio"<?php echo (!empty($writerid)) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_following_writers']; ?>" for="filter_1"><?php echo ucfirst($lang['manage_following_writers']); ?>&nbsp;:&nbsp;</label>
    <select name="writerids[]" id="writers_list_allowed" multiple="multiple" size="4">
    <?php foreach($writers as $writer) : ?>
    <option value="<?php echo htmlspecialchars($writer['id']); ?>"<?php echo in_array($writer['id'], $writerid) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($writer['name']); ?></option>
    <?php endforeach; ?>
    </select>
    <input class="bouton" type="submit" name="search" value="<?php echo ucfirst($lang['label_button_display']); ?>" />
    </p>
    <p>
    <input value="2" name="filter" id="filter_2" type="radio"<?php echo (!empty($groupid)) ? ' checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['manage_writers_in_following_groups']; ?>" for="filter_2"><?php echo ucfirst($lang['manage_writers_in_following_groups']); ?>&nbsp;:&nbsp;</label>
    <select name="groupids[]" id="writers_group_list_allowed" multiple="multiple" size="4">
    <option value="0"<?php echo in_array('0', $groupid) ? ' selected="selected"' : ''; ?>><?php echo '('.$lang['none'].')'; ?></option>    
    <?php foreach($groups as $group) : ?>
    <option value="<?php echo htmlspecialchars($group['id']); ?>"<?php echo in_array($group['id'], $groupid) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($group['name']); ?></option>
    <?php endforeach; ?>
    </select>
    <input class="bouton" type="submit" name="search" value="<?php echo ucfirst($lang['label_button_display']); ?>" />
    </p>
</fieldset>
</form>