<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<?php if (!empty($form_data_filtering)) : ?>
    <h4 class="data_filtering heading"><?php echo ucfirst($lang['heading_form_records_filtering']); ?></h4>
    <?php echo $form_data_filtering; ?>
    <hr class="data_filtering separation" />
    <br class="data_filtering clear" />
<?php endif; ?>

<?php if (!empty($_POST)) : ?>
<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_confirm_recording']); ?>&nbsp;:</h4>
<div class="<?php echo ($validation) ? 'confirm_recording_success' : 'confirm_recording_fail' ?>">
<p><strong><?php echo ucfirst($message); ?></strong></p>
</div>

<?php endif; ?>
<?php if (!empty($nb_records)) : ?>
    <h4><?php echo ucfirst($lang['heading_form_records_management']); ?></h4>
    <?php include 'fragments/add_block_waiting_process_view.php'; ?>
    <form class="waiting_process" action="<?php echo $form_uri; ?>#ADMR_manage_contents" id="ADMR_manage_contents" method="post">
    <input type="hidden" name="token" value="<?php echo $token; ?>" />
    <input type="hidden" name="idpg" value="<?php echo $idpg; ?>" />
    <input type="hidden" name="max_per_page" value="<?php echo $nb_records_per_page; ?>" />
    <?php echo $navbar; ?>
    <?php echo $data_table; ?>
    <?php if(!empty($select_actions)) : ?>
        <p class="submit action" align="left">
        <select name="action" size="1">
        <?php foreach($select_actions as $action) : ?>
        <option value="<?php echo $action['value']; ?>" <?php echo (!empty($action['attrs']['title']) ? 'title ="'.$action['attrs']['title'].'"' : ''); ?>"><?php echo $action['label']; ?></option>
        <?php endforeach; ?>
        </select>
        <button id="submit_records_data" data-validation-error-msg-no-record-selected="<?php echo ucfirst($lang['errors_msg']['no_record_selected_in_data_table']); ?>" title="<?php echo ucfirst($lang['label_button']['execute_action_selected']); ?>" type="submit"><?php echo ucfirst($lang['label_button']['execute_action_selected']); ?></button>
        </p>
    <?php endif; ?>
    <?php echo $navbar; ?>
    </form>
<?php else : ?>
    <div class="no_records_to_manage">
    <p><strong><?php echo $lang['no_records_to_manage']; ?></strong></p>
    </div> 
<?php endif; ?>