<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.14 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<form name="modify_password" action="" method="post">
<?php if (!empty($_POST['params'])) : ?>
<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_confirm_recording']); ?>&nbsp;:</h4>
<p><strong><?php echo $message; ?></strong></p>
<?php endif; ?>
<h4>Gestion du mot de passe</h4>
<fieldset>
<legend><?php echo ucfirst($lang['modify_password']); ?></legend>
<p>
<label><?php echo ucfirst($lang['old_password']); ?>&nbsp;:
<input 
 data-validation="password" 
 data-validation-error-msg-password-required="<?php echo htmlspecialchars($lang['form_errors_msg']['password_required'], ENT_QUOTES, 'UTF-8'); ?>" 
 data-validation-error-msg-password-length="<?php echo htmlspecialchars($lang['form_errors_msg']['password_length_must_greater_than_6_chars'], ENT_QUOTES, 'UTF-8'); ?>"
 type="password" 
 name="params[old_pass]"
 id="params_old_pass"
 value=""
 class="texte"
/>
</label>
<?php echo !empty($errors['old_pass']) ? $errors['old_pass'] : '' ?>
</p>
<p>
<label><?php echo ucfirst($lang['new_password']); ?>&nbsp;:
<input 
 data-validation="password" 
 data-validation-error-msg-password-required="<?php echo htmlspecialchars($lang['form_errors_msg']['password_required'], ENT_QUOTES, 'UTF-8'); ?>" 
 data-validation-error-msg-password-length="<?php echo htmlspecialchars($lang['form_errors_msg']['password_length_must_greater_than_6_chars'], ENT_QUOTES, 'UTF-8'); ?>"
 type="password" 
 name="params[new_pass]"
 id="params_new_pass"
 value=""
 class="texte"
/>
</label>
<?php echo !empty($errors['new_pass']) ? $errors['new_pass'] : '' ?>
</p>
<p>
<label><?php echo ucfirst($lang['confirm_new_password']); ?>&nbsp;:
<input 
 data-validation="password-confirmation" 
 data-validation-error-msg-password-confirmation="<?php echo htmlspecialchars($lang['form_errors_msg']['confirmation_password_not_equal_to_password'], ENT_QUOTES, 'UTF-8'); ?>"
 name="params[conf_new_pass]"
 id="params_conf_new_pass"
 type="password"
 value=""
 class="texte"
/>
</label>
<?php echo !empty($errors['conf_new_pass']) ? $errors['conf_new_pass'] : '' ?>
</p>
</fieldset>
<p><button style="min-width: 5px;" title="<?php echo ucfirst($lang['label_button']['valid']); ?>" type="submit"><?php echo ucfirst($lang['label_button']['valid']); ?></button></p>
</form>